# 微门禁小程序项目源代码使用说明
## 代码及目录结构
源码仓库地址：	[https://gitee.com/jikeshifu/weimenjin_miniprogram](https://gitee.com/jikeshifu/weimenjin_miniprogram) 
![enter image description here](/uploads/doc/images/m_3d71ce5f818f7f9ac94d8eb8de455485_r.png)
- **weimenjin_admin**: 管理后台源码
- **weimenjin_app**: 微信小程序端Vue，uniapp源码
- **数据库**: 数据库在weimenjin_admin/db.sql

##  1.宝塔面板安装所需软件环境如下：
![enter image description here](/uploads/doc/images/m_c78b36beaf43af5801f42ee4d0f56d15_r.png)
php要安装fileinfo和redis扩展：
![enter image description here](/uploads/doc/images/m_7357fea25b5a3addd0633bd90d3b8c2b_r.png)
禁用函数中删除putenv
## 2.创建站点：
用域名创建站点，同时创建一个数据库，域名先解析到服务器IP
![enter image description here](/uploads/doc/images/m_79320dc65965ebdedb978a70cf679e99_r.png)
## 3.进入站点目录拉取代码或下载压缩包上传上去，推荐使用git拉取代码方便后续更新：
![enter image description here](/uploads/doc/images/m_1f62890eb6e5ff1bc62286d66a5448c8_r.png)
拉取代码后目录如下:
![enter image description here](/uploads/doc/images/m_01ecadd67cedab64f30d19a59d3615e6_r.png)
## 4.导入数据库和修改连接数据库的配置文件
（1）将db.sql文件导入创建的数据库
![enter image description here](/uploads/doc/images/m_3756182eb0befcd944750dc8bab3161c_r.png)
（2）修改连接数据库的配置文件,两个文件（/.env和/config/database.php）
.env
![enter image description here](/uploads/doc/images/m_08947f86b365794c56f72c3b82ff13c0_r.png)
/config/database.php
![enter image description here](/uploads/doc/images/m_f55c3d99714bbea91914b41438ba66b0_r.png)
## 5.设置站点目录和运行目录，配置伪静态为Thinkphp
![enter image description here](/uploads/doc/images/m_c05d02e4b2638df6e3e1afdf08a62b57_r.png)
伪静态：
![enter image description here](/uploads/doc/images/m_a5dc927dd8a3ccdedf1c761cc8859ab4_r.png)
## 6.配置SSL证书
![enter image description here](/uploads/doc/images/m_aa489b2485e8218ee3dbb685cd97c4c3_r.png)
## 7.登录后台，默认账号admin，密码wmj123456
配置小程序appid和appsecret
![enter image description here](/uploads/doc/images/m_951dde65c6532daeb9cbcb0ed77e6495_r.png)

## 8.配置连接硬件的参数，
(1)系统管理----应用配置，找到如下图所示位置配置
![enter image description here](/uploads/doc/images/m_abdd4e4828aef28dfdb7d71647d57b80_r.png)
(2)系统管理-----系统配置，找到如下图所示位置，同样配置上上面的参数（兼容新旧版本硬件）
![enter image description here](/uploads/doc/images/m_435723d7ab8437df04c85f28f7133e7a_r.png)
## 9. 微信小程序后台的合法域名配置
路径：管理 -> 开发管理 -> 服务器域名 -> request合法域名。
![enter image description here](/uploads/doc/images/m_34436fc79d1a1ab5937d9fed7a7e3f09_r.png)
根据自己的域名进行配置。
## 10. 配置微信小程序普通二维码调起小程序规则配置

路径：管理 -> 开发管理 -> 扫普通链接二维码打开小程序
### 扫码开门的配置
- **二维码规则填写**: `域名/minilock?user_id=`
- **小程序功能页面填写**: `pages/open/open`
### 后台扫码登录的配置
- **二维码规则填写**: `域名/qrCodeLogin?key=`
- **小程序功能页面填写**: `pages/index/index` 

参考下图
![enter image description here](/uploads/doc/images/m_d754a045f778adc002451e31d9d92477_r.png)
## 11.使用HbuilderX编译小程序端源码
（1）搜索 微门禁 修改小程序名称，涉及的位置替换成自己小程序名称
![enter image description here](/uploads/doc/images/m_afac65d049f090b759523da8338fc142_r.png)
（2）manifest文件，微信小程序配置，修改成自己的appid
![enter image description here](/uploads/doc/images/m_5c47805d1046e3913912e42904890ceb_r.png)
（3）编译，如果后台appid、appsecret及小程序端的appid配置不对，编译时提醒如下：
![enter image description here](/uploads/doc/images/m_7ba4e5bbfa18bed6e8124b47c7f6bcc7_r.png)

## 12.将微信号绑定为超级管理员
### 步骤
小程序能正常登录和绑定手机号后，进入会员管理，找到会员编号。在系统管理 -> 管理员 -> 修改 -> 会员id中，填入会员编号即可。