-本api适用于序列号开头为W732的设备，appid和appsecret请到https://wdev.wmj.com.cn 填写手机号登录获取。
## 1.注册设备

- 将设备和appid、appsecret绑定

#### 请求URL
- `https://wdev.wmj.com.cn/deviceApi/register `
  
#### 请求方式
- POST 

#### 请求格式
- json 

#### 参数
```
{
	"app_id": "",
	"app_secret": "",
	"device_sn": ""
}
```
|参数名|必选|类型|说明|
|:----    |:---|:----- |-----   |
|app_id |是  |string |用户app_id   |
|app_secret |是  |string | 用户app_secret    |
|device_sn     |是  |string | 设备序列号    |

#### 返回示例 

``` 
{
	"code": 0,
	"msg": "注册成功"
}
{
	"code": 1005,
	"msg": "设备已注册"
}
```

#### 返回参数说明 

|参数名|类型|说明|
|:-----  |:-----|-----                           |
|code |int   |错误码 0成功其他异常  |
|msg |int   |描述  |

#### 备注 

- 更多返回错误代码请看首页的错误代码描述
<br><br>

## 2.设备控制卷匝门开、关、停
##### 请求URL
- `https://wdev.wmj.com.cn/deviceApi/send`
  
##### 请求方式
- POST 

##### 请求格式
- json 

##### 参数


```
{
	"app_id":"",
	"app_secret":"",
	"device_sn": "W7329766718",
	"data": {
		"cmd_type": "open",
		"info": {
			"tts":"开门",
			"volume":6
		}
	}
}
```
|参数名|必选|类型|说明|
|:----    |:---|:----- |-----   |
|app_id |是  |string |用户app_id   |
|app_secret |是  |string | 用户app_secret    |
|device_sn     |是  |string | 设备序列号    |
|data.cmd_type     |是  |string | `open`: 开门<br>`close`: 关门<br>`pause`: 暂停|
|data.info.tts    |否 |string|开门提示语音，不传的情况下使用默认语音|
|data.info.volume    |否 |int|开门提示语音音量`1-7`|

##### 返回示例

```
//成功
{
	"code": 0,
	"data": {
		"cmd_type": "open",
		"info": {
			"code": 0,
			"msg": ""
		}
	}
}
//失败
{
	"code": 1001,
	"msg": "网络超时"
}
```

##### 返回参数说明 

|参数名|类型|说明|
|:-----  |:-----|-----                           |
|code |int   |调用接口错误码 0成功其他异常  |
|data.info.code |int   | 业务错误码，0成功其他异常  |
|data.info.msg|string|业务错误信息|


## 3.播放语音

#### 接口状态
> 已完成

#### 接口URL
> https://wdev.wmj.com.cn/deviceApi/send

#### 请求方式
> POST
> Body-Json
#### Content-Type
> json

#### 请求Body参数
```javascript
{
	"app_id": "xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx5",
	"app_secret": "xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx5",
	"device_sn": "W7329766718",
	"data":{
	    "cmd_type":"play",
    	"info": {
            "tts":"请注意关门",
			"volume": 5 // 0-7
        }
    }
}
```
参数名 | 示例值 | 参数类型 | 是否必填 | 参数描述
--- | --- | --- | --- | ---
app_id | xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx5 | String | 是 | 硬件云appid
app_secret | xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx5 | String | 是 | 硬件云appsecret
device_sn | W7329766718 | String | 是 | 序列号
data | - | Object | 是 | 数据标签
data.cmd_type | play | String | 是 | 命令字
data.info | - | Object | 是 | 数据信息
data.info.tts | 您的订单还有15分钟结束，请及时续费，以免断电影响使用，谢谢 | String | 是 | 要播放的文本
data.info.volume| 5|Int|否|播报音量


#### 成功响应示例
```javascript
{
	"code": 0,
	"data": {
		"device_sn": "W7329766718",
		"cmd_type": "play",
		"info": {
			"code": 0,
			"msg": ""
		}
	}
}
```
参数名 | 示例值 | 参数类型 | 参数描述
--- | --- | --- | ---
code | 0 | Integer | 响应成功
data | - | Object | 数据标签
data.device_sn | W7329766718 | String | 序列号
data.cmd_type | play | String | 命令类型
data.info | - | Object | 数据信息
data.info.code | 0 | Integer | 响应代码
data.info.msg | - | String | 响应消息
## 4.语音设置
```text
暂无描述
```
#### 接口状态
> 已完成

#### 接口URL
> https://wdev.wmj.com.cn/deviceApi/send

#### 请求方式
> POST

#### Content-Type
> json

#### 请求Body参数
```javascript
{
	"app_id": "xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx5",
	"app_secret": "xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx5",
	"device_sn": "W7329766718",
	"data":{
	    "cmd_type":"setting",
    	"info": {
            "detected_tts":"检测到有人，门即将打开",
		    "no_detected_tts":"检测到无人，门即将关闭",
		    "launch_tts":"连接成功",
		    "volume":7,   //播报音量调节 1-7
			"launch_tts":" " // 网络连接成功后播报
        }
    }
}
```
参数名 | 示例值 | 参数类型 | 是否必填 | 参数描述
--- | --- | --- | --- | ---
app_id | xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx5 | String | 是 | 硬件云appid
app_secret | xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx5 | String | 是 | 硬件云appsecret
device_sn | W7329766718 | String | 是 | 序列号
data | - | Object | 是 | 数据标签
data.cmd_type | setting | String | 是 | 命令字
data.info | - | Object | 是 | 数据信息
data.info.volume | 4 | Integer | 否 | 0-7，音量由小到大，默认为中间值
data.info.detected_tts | "" | String | 否 | 人体感应雷达检测到有人时播报
data.info.no_detected_tts | "" | String | 否 | 人体感应雷达检测到无人时播报
data.info.launch_tts|" " / "需要播放的文字"| String| 否 | 网络连接成功后播报,为" "时为静默启动

#### 成功响应示例
```javascript
{
	"code": 0,
	"data": {
		"device_sn": "W7329766718",
		"cmd_type": "setting",
		"info": {
			"code": 0,
			"msg": ""
		}
	}
}
```
参数名 | 示例值 | 参数类型 | 参数描述
--- | --- | --- | ---
code | 0 | Integer | 响应成功
data | - | Object | 数据标签
data.device_sn | W7329766718 | String | 序列号
data.cmd_type | setting | String | 命令字
data.info | - | Object | 数据信息
data.info.code | 0 | Integer | 响应成功
data.info.msg | - | String | 响应消息
## 5.重启
```text
暂无描述
```
#### 接口状态
> 已完成

#### 接口URL
> https://wdev.wmj.com.cn/deviceApi/send

#### 请求方式
> POST

#### Content-Type
> json

#### 请求Body参数
```javascript
{
	"app_id":"xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx5",
	"app_secret":"xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx5",
	"device_sn": "W7329766718",
	"data": {
		"cmd_type":"restart",
		"info":{}
	}
}
```
参数名 | 示例值 | 参数类型 | 是否必填 | 参数描述
--- | --- | --- | --- | ---
app_id | xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx5 | String | 是 | 硬件云appid
app_secret | xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx5 | String | 是 | 硬件云appsecret
device_sn | W7329766718 | String | 是 | 设备序列号
data | - | Object | 是 | 数据标签
data.cmd_type | restart | String | 是 | 命令字
data.info | - | Object | 是 | 数据信息

#### 成功响应示例
```javascript
{
	"code": 0,
	"data": {
		"device_sn": "W7329766718",
		"cmd_type": "restart",
		"info": {
			"code": 0,
			"msg": ""
		}
	}
}
```
参数名 | 示例值 | 参数类型 | 参数描述
--- | --- | --- | ---
code | 0 | Integer | 响应状态0为正常
data | - | Object | 数据标签
data.device_sn | W7329766718 | String | 设备序列号
data.cmd_type | restart | String | 命令字
data.info | - | Object | 返回数据信息
data.info.code | 0 | Integer | 响应成功
data.info.msg | - | String | 响应消息
#### 错误响应示例
```javascript
{
	"code": 1000,
	"msg": "没有操作此设备的权限"
}
```
参数名 | 示例值 | 参数类型 | 参数描述
--- | --- | --- | ---
code | 1000 | Integer | 响应状态0为正常
msg | 没有操作此设备的权限 | String | 消息描述

## 6.查询设备信息
```text
暂无描述
```
#### 接口状态
> 已完成

#### 接口URL
> https://wdev.wmj.com.cn/deviceApi/send

#### 请求方式
> POST

#### Content-Type
> json

#### 请求Body参数
```javascript
{
	"app_id":"xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx5",
	"app_secret":"xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx5",
	"device_sn": "W7329766718",
	"data": {
		"cmd_type":"getdevinfo",
		"info":{
		}
	}
}
```
参数名 | 示例值 | 参数类型 | 是否必填 | 参数描述
--- | --- | --- | --- | ---
app_id | xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx5 | String | 是 | 硬件云appid
app_secret | xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx5 | String | 是 | 硬件云appsecret
device_sn | W7329766718 | String | 是 | 设备序列号
data | - | Object | 是 | 数据标签
data.cmd_type | getdevinfo | String | 是 | 命令字

#### 成功响应示例
```javascript
{
	"code": 0,
	"data": {
		"device_sn": "W7329766718",
		"cmd_type": "getdevinfo",
		"info": {
			"code": 0,
			"iccid": "53521B3B1655B175",
			"imei": "6055F9766718",
			"msg": "",
			"project": "W767",
			"rssi": -40,
			"version": "1.0.0",
			"volume": 9
		}
	}
}
```
参数名 | 示例值 | 参数类型 | 参数描述
--- | --- | --- | ---
code | 0 | Integer | 响应状态0为正常
data | - | Object | 数据标签
data.device_sn | W7329766718 | String | 设备序列号
data.cmd_type | getdevinfo | String | 命令字
data.info | - | Object | 返回数据信息
data.info.code | 0 | Integer | 响应成功
data.info.iccid | 53521B3B1655B175 | String | 物理地址
data.info.imei | 6055F9766718 | String | 芯片号
data.info.msg | - | String | 响应消息
data.info.project | W767XXX | String | 项目名称
data.info.rssi | -40 | Integer | 信号值
data.info.version | 1.0.0 | String | 版本
data.info.volume | 9 | Integer | 0-9，音量由小到大，默认为中间值
#### 错误响应示例
```javascript
{
	"code": 1000,
	"msg": "没有操作此设备的权限"
}
```
参数名 | 示例值 | 参数类型 | 参数描述
--- | --- | --- | ---
code | 1000 | Integer | 响应状态0为正常
msg | 没有操作此设备的权限 | String | 消息描述