_本api适用于序列号开头为W761的设备，appid和appsecret请到https://wdev.wmj.com.cn 填写手机号登录获取。_
### 1.注册绑定设备

##### 简要描述

- 将设备和appid、appsecret绑定

##### 请求URL
- `https://wdev.wmj.com.cn/deviceApi/register `
  
##### 请求方式
- POST 

##### 请求格式
- json 

##### 参数
```
{
	"app_id": "xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx",
	"app_secret": "xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx",
	"device_sn": "W7612345678"
}
```
|参数名|必选|类型|说明|
|:----    |:---|:----- |-----   |
|app_id |是  |string |用户app_id   |
|app_secret |是  |string | 用户app_secret    |
|device_sn     |是  |string | 设备序列号    |

##### 返回示例 

``` 
{
	"code": 0,
	"msg": "注册成功"
}
{
	"code": 1005,
	"msg": "设备已注册"
}
```

##### 返回参数说明 

|参数名|类型|说明|
|:-----  |:-----|-----                           |
|code |int   |错误码 0成功其他异常  |
|msg |int   |描述  |

##### 备注 

- 更多返回错误代码请看首页的错误代码描述



### 2.开门

##### 简要描述

- 开门

##### 请求URL
- `https://wdev.wmj.com.cn/deviceApi/send`
  
##### 请求方式
- POST 

##### 请求格式
- json 

##### 参数


```
{
	"app_id":"xxxxxxxxxxxxxxxxxxxxxxxxxxxx",
	"app_secret":"xxxxxxxxxxxxxxxxxxxxxxxxxxx",
	"device_sn": "设备序列号",
	"data": {
		"cmd_type": "open",
		"info": {
			"sn":"W7612345678"
		}
	}
}
```
|参数名|必选|类型|说明|
|:----    |:---|:----- |-----   |
|app_id |是  |string |用户app_id   |
|app_secret |是  |string | 用户app_secret    |
|device_sn     |是  |string | 设备序列号    |
|data.cmd_type     |是  |string | 开锁标识cmd_type|
|data.info.sn     |否  |string |一旦传入sn，设备将校验传入sn是否与设备本身sn一致，校验成功才能开门 |
|data.info.###    |否 |any|可根据实际情况传入，会原值返回|

##### 返回示例

```
//成功
{
	"code": 0,
	"data": {
		"cmd_type": "open",
		"info": {
			"code": 0,
			"msg": ""
		}
	}
}
//失败
{
	"code": 1001,
	"msg": "网络超时"
}
```

##### 返回参数说明 

|参数名|类型|说明|
|:-----  |:-----|-----                           |
|code |int   |调用接口错误码 0成功其他异常  |
|data.info.code |int   | 业务错误码，0成功其他异常  |
|data.info.msg|string|业务错误信息|

### 3.设置

##### 简要描述

- 用来设置管理密码和应急开门密码

##### 请求URL
- `https://wdev.wmj.com.cn/deviceApi/send`
  
##### 请求方式
- POST 

##### 请求格式
- json 

##### 参数


```
{
	"app_id":"xxxxxxxxxxxxxxxxxxxxxxxxxxxxxx",
	"app_secret":"xxxxxxxxxxxxxxxxxxxxxxxxxxxx",
	"device_sn": "W7612345678",
	"data": {
        "cmd_type": "dev_setting",
        "info":{
            "device_pwd":"12345678",
            "admin_pwd":"Admin"
		}
	}
}
```
|参数名|必选|类型|说明|
|:----    |:---|:----- |-----   |
|app_id |是  |string |用户app_id   |
|app_secret |是  |string | 用户app_secret    |
|device_sn     |是  |string | 设备序列号    |
|data.cmd_type     |是  |string | 设置命令`dev_setting`|
|data.info.device_pwd     |否  |string |设备web端开门密码 |
|data.info.admin_pwd    |否 |string|设备web端管理密码|

##### 返回示例

```
//成功
{
	"code": 0,
	"data": {
		"cmd_type": "open",
		"info": {
			"code": 0,
			"msg": ""
		}
	}
}
//失败
{
	"code": 1001,
	"msg": "网络超时"
}
```

##### 返回参数说明 

|参数名|类型|说明|
|:-----  |:-----|-----                           |
|code |int   |调用接口错误码 0成功其他异常  |
|data.info.code |int   | 业务错误码，0成功其他异常  |
|data.info.msg|string|业务错误信息|

### 4.删除解绑

##### 简要描述

- 删除解绑，将设备从当前appid解绑

##### 请求URL
- `https://wdev.wmj.com.cn/deviceApi/logout`
  
##### 请求方式
- POST 

##### 请求格式
- json 

##### 参数


``` 
{
	"app_id":"xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx",
	"app_secret":"xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx",
	"device_sn": "W7612345678"
}
```
|参数名|必选|类型|说明|
|:----    |:---|:----- |-----   |
|app_id |是  |string |用户app_id   |
|app_secret |是  |string | 用户app_secret    |
|device_sn     |是  |string | 设备序列号    |


##### 返回示例 

```
//成功
{
    "code": 0,
    "msg": "解绑成功"
}


```

##### 返回参数说明 

|参数名|类型|说明|
|:-----  |:-----|-----                           |
|code |int   |错误码 0成功其他异常  |
|data.info.err_code |int   | 0成功其他异常  |
|data.info.wifi_rssi |int   | 设备信号  |