## W763_3路门禁控制器

```text
3路门禁控制器，联网方式有：WiFi、网线；支持蓝牙离线开门
```

### W763注册

```text
暂无描述
```

**接口状态**

> 已完成

**接口URL**

> https://wdev.wmj.com.cn/deviceApi/register

**请求方式**

> POST

**Content-Type**

> json

**请求Body参数**

```javascript
{
	"app_id": "{{wmjv2appid}}",
	"app_secret": "{{wmjv2appsecret}}",
	"device_sn": "W763AE2409C"
}
```

| 参数名 | 示例值 | 参数类型 | 是否必填 | 参数描述 |
| --- | --- | ---- | ---- | ---- |
| app_id |  xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx | String | 是 | 硬件云appid |
| app_secret |  xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx | String | 是 | 硬件云appsecret |
| device_sn | W763AE2409C | String | 是 | 设备序列号 |

**认证方式**

> 继承父级

**响应示例**

* 成功(200)

```javascript
{
	"code": 0,
	"msg": "注册成功"
}
```

| 参数名 | 示例值 | 参数类型 | 参数描述 |
| --- | --- | ---- | ---- |
| code | 0 | Number | 响应状态0为正常 |
| msg | 注册成功 | String | 返回文字描述 |

* 失败(404)

```javascript
暂无数据
```

### W763_开门（控制第1路继电器）

> 创建人: 极客师傅

> 更新人: 极客师傅

> 创建时间: 2024-04-08 15:03:33

> 更新时间: 2024-09-13 13:56:36

```text
暂无描述
```

**接口状态**

> 已完成

**接口URL**

> https://wdev.wmj.com.cn/deviceApi/send

**请求方式**

> POST

**Content-Type**

> json

**请求Body参数**

```javascript
{
	"app_id": "{{wmjv2appid}}",
	"app_secret": "{{wmjv2appsecret}}",
	"device_sn": "W763AE2409C",
	"type": 1,
	"data": {
		"cmd_type": "open",
		"info": {
			"buzzer": 1
		}
	}
}
```

| 参数名 | 示例值 | 参数类型 | 是否必填 | 参数描述 |
| --- | --- | ---- | ---- | ---- |
| app_id |  xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx | String | 是 | 硬件云appid |
| app_secret |  xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx | String | 是 | 硬件云appsecret |
| device_sn | W763AE2409C | String | 是 | 序列号 |
| type | 1 | Number | 是 | 指令类型 |
| data | - | Object | 是 | 返回数据 |
| data.cmd_type | open | String | 是 | 命令字 |
| data.info | - | Object | 是 | 数据信息 |
| data.info.buzzer | 1 | Number | 是 | - |

**认证方式**

> 继承父级

**响应示例**

* 成功(200)

```javascript
{
	"code": 0,
	"data": {
		"device_sn": "W763AE2409C",
		"msg_id": 216,
		"type": 1,
		"cmd": "open",
		"app_id": "",
		"cmd_type": "",
		"info": {
			"buzzer": 1,
			"code": 0,
			"err_code": 0,
			"msg": ""
		}
	}
}
```

| 参数名 | 示例值 | 参数类型 | 参数描述 |
| --- | --- | ---- | ---- |
| code | 0 | Number | 响应成功 |
| data | - | Object | 返回数据 |
| data.device_sn | W763AE2409C | String | 序列号 |
| data.msg_id | 216 | Number | 消息ID |
| data.type | 1 | Number | 指令类型 |
| data.cmd | open | String | 命令 |
| data.app_id | - | String | - |
| data.cmd_type | - | String | 命令类型 |
| data.info | - | Object | 数据信息 |
| data.info.buzzer | 1 | Number | - |
| data.info.code | 0 | Number | 响应代码 |
| data.info.err_code | 0 | Number | - |
| data.info.msg | - | String | 返回文字描述 |

* 失败(201)

```javascript
暂无数据
```
### W763_关门（控制第2路继电器）

> 创建人: 极客师傅

> 更新人: 极客师傅

> 创建时间: 2024-04-08 15:03:33

> 更新时间: 2024-09-13 13:56:36

```text
暂无描述
```

**接口状态**

> 已完成

**接口URL**

> https://wdev.wmj.com.cn/deviceApi/send

**请求方式**

> POST

**Content-Type**

> json

**请求Body参数**

```javascript
{
	"app_id": "{{wmjv2appid}}",
	"app_secret": "{{wmjv2appsecret}}",
	"device_sn": "W763AE2409C",
	"type": 1,
	"data": {
		"cmd_type": "close",
		"info": {
			"buzzer": 1
		}
	}
}
```

| 参数名 | 示例值 | 参数类型 | 是否必填 | 参数描述 |
| --- | --- | ---- | ---- | ---- |
| app_id |  xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx | String | 是 | 硬件云appid |
| app_secret |  xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx | String | 是 | 硬件云appsecret |
| device_sn | W763AE2409C | String | 是 | 序列号 |
| type | 1 | Number | 是 | 指令类型 |
| data | - | Object | 是 | 返回数据 |
| data.cmd_type | close | String | 是 | 命令字 |
| data.info | - | Object | 是 | 数据信息 |
| data.info.buzzer | 1 | Number | 是 | - |

**认证方式**

> 继承父级

**响应示例**

* 成功(200)

```javascript
{
	"code": 0,
	"data": {
		"device_sn": "W763AE2409C",
		"msg_id": 216,
		"type": 1,
		"cmd": "close",
		"app_id": "",
		"cmd_type": "",
		"info": {
			"buzzer": 1,
			"code": 0,
			"err_code": 0,
			"msg": ""
		}
	}
}
```

| 参数名 | 示例值 | 参数类型 | 参数描述 |
| --- | --- | ---- | ---- |
| code | 0 | Number | 响应成功 |
| data | - | Object | 返回数据 |
| data.device_sn | W763AE2409C | String | 序列号 |
| data.msg_id | 216 | Number | 消息ID |
| data.type | 1 | Number | 指令类型 |
| data.cmd | close | String | 命令 |
| data.app_id | - | String | - |
| data.cmd_type | - | String | 命令类型 |
| data.info | - | Object | 数据信息 |
| data.info.buzzer | 1 | Number | - |
| data.info.code | 0 | Number | 响应代码 |
| data.info.err_code | 0 | Number | - |
| data.info.msg | - | String | 返回文字描述 |

* 失败(201)

```javascript
暂无数据
```
### W763_停止（控制第3路继电器）

> 创建人: 极客师傅

> 更新人: 极客师傅

> 创建时间: 2024-04-08 15:03:33

> 更新时间: 2024-09-13 13:56:36

```text
暂无描述
```

**接口状态**

> 已完成

**接口URL**

> https://wdev.wmj.com.cn/deviceApi/send

**请求方式**

> POST

**Content-Type**

> json

**请求Body参数**

```javascript
{
	"app_id": "{{wmjv2appid}}",
	"app_secret": "{{wmjv2appsecret}}",
	"device_sn": "W763AE2409C",
	"type": 1,
	"data": {
		"cmd_type": "pause",
		"info": {
			"buzzer": 1
		}
	}
}
```

| 参数名 | 示例值 | 参数类型 | 是否必填 | 参数描述 |
| --- | --- | ---- | ---- | ---- |
| app_id |  xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx | String | 是 | 硬件云appid |
| app_secret |  xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx | String | 是 | 硬件云appsecret |
| device_sn | W763AE2409C | String | 是 | 序列号 |
| type | 1 | Number | 是 | 指令类型 |
| data | - | Object | 是 | 返回数据 |
| data.cmd_type | pause | String | 是 | 命令字 |
| data.info | - | Object | 是 | 数据信息 |
| data.info.buzzer | 1 | Number | 是 | - |

**认证方式**

> 继承父级

**响应示例**

* 成功(200)

```javascript
{
	"code": 0,
	"data": {
		"device_sn": "W763AE2409C",
		"msg_id": 216,
		"type": 1,
		"cmd": "pause",
		"app_id": "",
		"cmd_type": "",
		"info": {
			"buzzer": 1,
			"code": 0,
			"err_code": 0,
			"msg": ""
		}
	}
}
```

| 参数名 | 示例值 | 参数类型 | 参数描述 |
| --- | --- | ---- | ---- |
| code | 0 | Number | 响应成功 |
| data | - | Object | 返回数据 |
| data.device_sn | W763AE2409C | String | 序列号 |
| data.msg_id | 216 | Number | 消息ID |
| data.type | 1 | Number | 指令类型 |
| data.cmd | pause | String | 命令 |
| data.app_id | - | String | - |
| data.cmd_type | - | String | 命令类型 |
| data.info | - | Object | 数据信息 |
| data.info.buzzer | 1 | Number | - |
| data.info.code | 0 | Number | 响应代码 |
| data.info.err_code | 0 | Number | - |
| data.info.msg | - | String | 返回文字描述 |

* 失败(201)

```javascript
暂无数据
```
### W763_设置常开常闭

> 创建人: 极客师傅

> 更新人: 极客师傅

> 创建时间: 2024-04-24 16:14:16

> 更新时间: 2024-09-13 14:02:31

```text
暂无描述
```

**接口状态**

> 已完成

**接口URL**

> https://wdev.wmj.com.cn/deviceApi/send

**请求方式**

> POST

**Content-Type**

> json

**请求Body参数**

```javascript
{
	"app_id": "{{wmjv2appid}}",
	"app_secret": "{{wmjv2appsecret}}",
	"device_sn": "W763AE2409C",
	"type": 1,
	"data": {
		"cmd_type": "set_nonc",
		"info": {
			"type": 0,//1时继电器断开，进入常开模式，门常开；0时继电器接通，进入常闭模式，门常锁
			"buzzer": 1//0时蜂鸣器不响
		}
	}
}
```

| 参数名 | 示例值 | 参数类型 | 是否必填 | 参数描述 |
| --- | --- | ---- | ---- | ---- |
| app_id |  xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx | String | 是 | 硬件云appid |
| app_secret |  xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx | String | 是 | 硬件云appsecret |
| device_sn | W763AE2409C | String | 是 | 序列号 |
| type | 1 | Number | 是 | 指令类型 |
| data | - | Object | 是 | 返回数据 |
| data.cmd_type | set_nonc | String | 是 | 命令字 |
| data.info | - | Object | 是 | 数据信息 |
| data.info.type | 0 | Number | 是 | 1时继电器断开，进入常开模式，门常开；0时继电器接通，进入常闭模式，门常锁 |
| data.info.buzzer | 1 | Number | 是 | 0时蜂鸣器不响 |

**认证方式**

> 继承父级

**响应示例**

* 成功(200)

```javascript
{
	"code": 0,
	"data": {
		"device_sn": "W763AE2409C",
		"msg_id": 35,
		"type": 1,
		"cmd": "set_nonc",
		"app_id": "",
		"cmd_type": "",
		"info": {
			"code": 0,
			"err_code": 0,
			"msg": ""
		}
	}
}
```

| 参数名 | 示例值 | 参数类型 | 参数描述 |
| --- | --- | ---- | ---- |
| code | 0 | Number | 响应成功 |
| data | - | Object | 返回数据 |
| data.device_sn | W763AE2409C | String | 序列号 |
| data.msg_id | 35 | Number | 消息ID |
| data.type | 1 | Number | 指令类型 |
| data.cmd | set_nonc | String | 命令 |
| data.app_id | - | String | - |
| data.cmd_type | - | String | 命令类型 |
| data.info | - | Object | 数据信息 |
| data.info.code | 0 | Number | 响应代码 |
| data.info.err_code | 0 | Number | - |
| data.info.msg | - | String | 返回文字描述 |

* 失败(201)

```javascript
暂无数据
```

### W763_启用禁用出门开关

> 创建人: 极客师傅

> 更新人: 极客师傅

> 创建时间: 2024-04-01 11:10:46

> 更新时间: 2024-09-13 14:02:42

```text
暂无描述
```

**接口状态**

> 已完成

**接口URL**

> https://wdev.wmj.com.cn/deviceApi/send

**请求方式**

> POST

**Content-Type**

> json

**请求Body参数**

```javascript
{
	"app_id": "{{wmjv2appid}}",
	"app_secret": "{{wmjv2appsecret}}",
	"device_sn": "W763AE2409C",
	"type": 1,
	"data": {
		"cmd_type": "set_es",
		"info": {
			"status": 1
		}
	}
}
```

| 参数名 | 示例值 | 参数类型 | 是否必填 | 参数描述 |
| --- | --- | ---- | ---- | ---- |
| app_id |  xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx | String | 是 | 硬件云appid |
| app_secret |  xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx | String | 是 | 硬件云appsecret |
| device_sn | W763AE2409C | String | 是 | 序列号 |
| type | 1 | Number | 是 | 指令类型 |
| data | - | Object | 是 | 返回数据 |
| data.cmd_type | set_es | String | 是 | 命令字 |
| data.info | - | Object | 是 | 数据信息 |
| data.info.status | 1 | Number | 是 | - |

**认证方式**

> 继承父级

**响应示例**

* 成功(200)

```javascript
{
	"code": 0,
	"data": {
		"device_sn": "W763AE2409C",
		"msg_id": 43,
		"type": 1,
		"cmd": "set_es",
		"app_id": "",
		"cmd_type": "",
		"info": {
			"code": 0,
			"err_code": 0,
			"es_status": 0,
			"msg": ""
		}
	}
}
```

| 参数名 | 示例值 | 参数类型 | 参数描述 |
| --- | --- | ---- | ---- |
| code | 0 | Number | 响应成功 |
| data | - | Object | 返回数据 |
| data.device_sn | W763AE2409C | String | 序列号 |
| data.msg_id | 43 | Number | 消息ID |
| data.type | 1 | Number | 指令类型 |
| data.cmd | set_es | String | 命令 |
| data.app_id | - | String | - |
| data.cmd_type | - | String | 命令类型 |
| data.info | - | Object | 数据信息 |
| data.info.code | 0 | Number | 响应代码 |
| data.info.err_code | 0 | Number | - |
| data.info.es_status | 0 | Number | - |
| data.info.msg | - | String | 返回文字描述 |

* 失败(201)

```javascript
暂无数据
```

### W763_设置继电器延时

> 创建人: 极客师傅

> 更新人: 极客师傅

> 创建时间: 2024-05-22 16:34:33

> 更新时间: 2024-09-13 14:02:59

```text
暂无描述
```

**接口状态**

> 已完成

**接口URL**

> https://wdev.wmj.com.cn/deviceApi/send

**请求方式**

> POST

**Content-Type**

> json

**请求Body参数**

```javascript
{
	"app_id": "{{wmjv2appid}}",
	"app_secret": "{{wmjv2appsecret}}",
	"device_sn": "W763AE2409C",
	"type": 1,
	"data": {
		"cmd_type": "set_relay",
		"info": {
			"relay": 1000,//毫秒
			"relay2": 12000,
			"relay3": 1000
		}
	}
}
```

| 参数名 | 示例值 | 参数类型 | 是否必填 | 参数描述 |
| --- | --- | ---- | ---- | ---- |
| app_id |  xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx | String | 是 | 硬件云appid |
| app_secret |  xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx | String | 是 | 硬件云appsecret |
| device_sn | W763AE2409C | String | 是 | 序列号 |
| type | 1 | Number | 是 | 指令类型 |
| data | - | Object | 是 | 返回数据 |
| data.cmd_type | set_relay | String | 是 | 命令字 |
| data.info | - | Object | 是 | 数据信息 |
| data.info.relay | 1000 | Number | 是 | 毫秒 |
| data.info.relay2 | 12000 | Number | 是 | - |
| data.info.relay3 | 1000 | Number | 是 | - |

**认证方式**

> 继承父级

**响应示例**

* 成功(200)

```javascript
{
	"code": 0,
	"data": {
		"device_sn": "W763AE2409C",
		"msg_id": 54,
		"type": 1,
		"cmd": "set_relay",
		"app_id": "",
		"cmd_type": "",
		"info": {
			"code": 0,
			"err_code": 0,
			"msg": "",
			"relay": 1000,
			"relay2": 12000,
			"relay3": 1000
		}
	}
}
```

| 参数名 | 示例值 | 参数类型 | 参数描述 |
| --- | --- | ---- | ---- |
| code | 0 | Number | 响应成功 |
| data | - | Object | 返回数据 |
| data.device_sn | W763AE2409C | String | 序列号 |
| data.msg_id | 54 | Number | 消息ID |
| data.type | 1 | Number | 指令类型 |
| data.cmd | set_relay | String | 命令 |
| data.app_id | - | String | - |
| data.cmd_type | - | String | 命令类型 |
| data.info | - | Object | 数据信息 |
| data.info.code | 0 | Number | 响应代码 |
| data.info.err_code | 0 | Number | - |
| data.info.msg | - | String | 返回文字描述 |
| data.info.relay | 1000 | Number | - |
| data.info.relay2 | 12000 | Number | - |
| data.info.relay3 | 1000 | Number | - |

* 失败(201)

```javascript
暂无数据
```

### W763_设置应急和管理密码

> 创建人: 极客师傅

> 更新人: 极客师傅

> 创建时间: 2024-08-28 21:24:52

> 更新时间: 2024-09-13 14:02:57

```text
暂无描述
```

**接口状态**

> 已完成

**接口URL**

> https://wdev.wmj.com.cn/deviceApi/send

**请求方式**

> POST

**Content-Type**

> json

**请求Body参数**

```javascript
{
	"app_id": "{{wmjv2appid}}",
	"app_secret": "{{wmjv2appsecret}}",
	"device_sn": "W763AE2409C",
	"type": 1,
	"data": {
		"cmd_type": "set_pwd",
		"info": {
			"device_pwd": "12345687",
			"admin_pwd": "admin"
		}
	}
}
```

| 参数名 | 示例值 | 参数类型 | 是否必填 | 参数描述 |
| --- | --- | ---- | ---- | ---- |
| app_id |  xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx | String | 是 | 硬件云appid |
| app_secret |  xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx | String | 是 | 硬件云appsecret |
| device_sn | W763AE2409C | String | 是 | 序列号 |
| type | 1 | Number | 是 | 指令类型 |
| data | - | Object | 是 | 返回数据 |
| data.cmd_type | set_pwd | String | 是 | 命令字 |
| data.info | - | Object | 是 | 数据信息 |
| data.info.device_pwd | 12345687 | String | 是 | - |
| data.info.admin_pwd | admin | String | 是 | - |

**认证方式**

> 继承父级

**响应示例**

* 成功(200)

```javascript
{
	"code": 0,
	"data": {
		"device_sn": "W763AE2409C",
		"msg_id": 56,
		"type": 1,
		"cmd": "set_pwd",
		"app_id": "",
		"cmd_type": "",
		"info": {
			"code": 0,
			"err_code": 0,
			"msg": ""
		}
	}
}
```

| 参数名 | 示例值 | 参数类型 | 参数描述 |
| --- | --- | ---- | ---- |
| code | 0 | Number | 响应成功 |
| data | - | Object | 返回数据 |
| data.device_sn | W763AE2409C | String | 序列号 |
| data.msg_id | 56 | Number | 消息ID |
| data.type | 1 | Number | 指令类型 |
| data.cmd | set_pwd | String | 命令 |
| data.app_id | - | String | - |
| data.cmd_type | - | String | 命令类型 |
| data.info | - | Object | 数据信息 |
| data.info.code | 0 | Number | 响应代码 |
| data.info.err_code | 0 | Number | - |
| data.info.msg | - | String | 返回文字描述 |

* 失败(201)

```javascript
暂无数据
```

### W763_查询设备信息

> 创建人: 极客师傅

> 更新人: 极客师傅

> 创建时间: 2024-04-11 18:54:06

> 更新时间: 2024-09-13 14:03:12

```text
暂无描述
```

**接口状态**

> 已完成

**接口URL**

> https://wdev.wmj.com.cn/deviceApi/send

**请求方式**

> POST

**Content-Type**

> json

**请求Body参数**

```javascript
{
	"app_id": "{{wmjv2appid}}",
	"app_secret": "{{wmjv2appsecret}}",
	"device_sn": "W763AE2409C",
	"type": 1,
	"data": {
		"cmd_type": "getdevinfo",
		"info": {
			"buzzer": 1
		}
	}
}
```

| 参数名 | 示例值 | 参数类型 | 是否必填 | 参数描述 |
| --- | --- | ---- | ---- | ---- |
| app_id |  xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx | String | 是 | 硬件云appid |
| app_secret |  xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx | String | 是 | 硬件云appsecret |
| device_sn | W763AE2409C | String | 是 | 序列号 |
| type | 1 | Number | 是 | 指令类型 |
| data | - | Object | 是 | 返回数据 |
| data.cmd_type | getdevinfo | String | 是 | 命令字 |
| data.info | - | Object | 是 | 数据信息 |
| data.info.buzzer | 1 | Number | 是 | - |

**认证方式**

> 继承父级

**响应示例**

* 成功(200)

```javascript
{
	"code": 0,
	"data": {
		"device_sn": "W763AE2409C",
		"msg_id": 63,
		"type": 1,
		"cmd": "getdevinfo",
		"app_id": "",
		"cmd_type": "",
		"info": {
			"admin_pwd": "admin",
			"code": 0,
			"device_pwd": "12345687",
			"doorstate": 1,
			"err_code": 0,
			"es_status": 0,
			"free_heap": 72804,
			"hw_ver": "1.0.0",
			"iccid": "KGIoT",
			"imei": "34:B7:DA:E2:40:9C",
			"msg": "",
			"net_type": "",
			"nonc": 0,
			"project": "W763_WiFi",
			"relay": 1000,
			"relay2": 12000,
			"relay3": 1000,
			"rssi": -30,
			"sta_pwd": "9638527410",
			"sta_ssid": "KGIoT",
			"sw_ver": "63.1.47"
		}
	}
}
```

| 参数名 | 示例值 | 参数类型 | 参数描述 |
| --- | --- | ---- | ---- |
| code | 0 | Number | 响应成功 |
| data | - | Object | 返回数据 |
| data.device_sn | W763AE2409C | String | 序列号 |
| data.msg_id | 63 | Number | 消息ID |
| data.type | 1 | Number | 指令类型 |
| data.cmd | getdevinfo | String | 命令 |
| data.app_id | - | String | - |
| data.cmd_type | - | String | 命令类型 |
| data.info | - | Object | 数据信息 |
| data.info.admin_pwd | admin | String | - |
| data.info.code | 0 | Number | 响应代码 |
| data.info.device_pwd | 12345687 | String | - |
| data.info.doorstate | 1 | Number | - |
| data.info.err_code | 0 | Number | - |
| data.info.es_status | 0 | Number | - |
| data.info.free_heap | 72804 | Number | - |
| data.info.hw_ver | 1.0.0 | String | - |
| data.info.iccid | KGIoT | String | - |
| data.info.imei | 34:B7:DA:E2:40:9C | String | - |
| data.info.msg | - | String | 返回文字描述 |
| data.info.net_type | - | String | - |
| data.info.nonc | 0 | Number | - |
| data.info.project | W763_WiFi | String | - |
| data.info.relay | 1000 | Number | - |
| data.info.relay2 | 12000 | Number | - |
| data.info.relay3 | 1000 | Number | - |
| data.info.rssi | -30 | Number | - |
| data.info.sta_pwd | 9638527410 | String | - |
| data.info.sta_ssid | KGIoT | String | - |
| data.info.sw_ver | 63.1.47 | String | - |

* 失败(201)

```javascript
暂无数据
```

### W763_重启设备

> 创建人: 极客师傅

> 更新人: 极客师傅

> 创建时间: 2024-04-23 19:58:32

> 更新时间: 2024-09-13 14:03:18

```text
暂无描述
```

**接口状态**

> 已完成

**接口URL**

> https://wdev.wmj.com.cn/deviceApi/send

**请求方式**

> POST

**Content-Type**

> json

**请求Body参数**

```javascript
{
	"app_id": "{{wmjv2appid}}",
	"app_secret": "{{wmjv2appsecret}}",
	"device_sn": "W763AE2409C",
	"type": 1,
	"data": {
		"cmd_type": "restart"
	}
}
```

| 参数名 | 示例值 | 参数类型 | 是否必填 | 参数描述 |
| --- | --- | ---- | ---- | ---- |
| app_id |  xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx | String | 是 | - |
| app_secret |  xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx | String | 是 | - |
| device_sn | W763AE2409C | String | 是 | - |
| type | 1 | Number | 是 | - |
| data | - | Object | 是 | 返回数据 |
| data.cmd_type | restart | String | 是 | - |

**认证方式**

> 继承父级

**响应示例**

* 成功(200)

```javascript
{
	"code": 0,
	"data": {
		"device_sn": "W763AE2409C",
		"msg_id": 99,
		"type": 1,
		"cmd": "restart",
		"app_id": "",
		"cmd_type": "",
		"info": {
			"code": 0,
			"err_code": 0,
			"msg": ""
		}
	}
}
```

| 参数名 | 示例值 | 参数类型 | 参数描述 |
| --- | --- | ---- | ---- |
| code | 0 | Number | - |
| data | - | Object | 返回数据 |
| data.device_sn | W763AE2409C | String | - |
| data.msg_id | 99 | Number | - |
| data.type | 1 | Number | - |
| data.cmd | restart | String | - |
| data.app_id | - | String | - |
| data.cmd_type | - | String | - |
| data.info | - | Object | - |
| data.info.code | 0 | Number | - |
| data.info.err_code | 0 | Number | - |
| data.info.msg | - | String | 返回文字描述 |

* 失败(404)

```javascript
暂无数据
```

### W763删除解绑

> 创建人: 极客师傅

> 更新人: 极客师傅

> 创建时间: 2024-04-24 16:19:18

> 更新时间: 2024-09-13 14:03:25

```text
暂无描述
```

**接口状态**

> 已完成

**接口URL**

> https://wdev.wmj.com.cn/deviceApi/logout

**请求方式**

> POST

**Content-Type**

> json

**请求Body参数**

```javascript
{
	"app_id": "{{wmjv2appid}}",
	"app_secret": "{{wmjv2appsecret}}",
	"device_sn": "W763AE2409C"
}
```

| 参数名 | 示例值 | 参数类型 | 是否必填 | 参数描述 |
| --- | --- | ---- | ---- | ---- |
| app_id |  xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx | String | 是 | 硬件云appid |
| app_secret |  xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx | String | 是 | 硬件云appsecret |
| device_sn | W763AE2409C | String | 是 | 设备序列号 |

**认证方式**

> 继承父级

**响应示例**

* 成功(200)

```javascript
{
	"code": 0,
	"msg": "解绑成功"
}
```

| 参数名 | 示例值 | 参数类型 | 参数描述 |
| --- | --- | ---- | ---- |
| code | 0 | Number | 响应状态0为正常 |
| msg | 解绑成功 | String | 返回文字描述 |

* 失败(404)

```javascript
暂无数据
```


### W763设置WIFI

> 创建人: 极客师傅

> 更新人: 极客师傅

> 创建时间: 2024-08-30 20:40:25

> 更新时间: 2024-09-13 14:03:42

```text
暂无描述
```

**接口状态**

> 已完成

**接口URL**

> https://wdev.wmj.com.cn/deviceApi/send

**请求方式**

> POST

**Content-Type**

> json

**请求Body参数**

```javascript
{
	"app_id": "{{wmjv2appid}}",
	"app_secret": "{{wmjv2appsecret}}",
	"device_sn": "W763AE2409C",
	"type":1,
	"data": {
		//谨慎使用，一但给写入一个不存在的wifi信号和密码，设备将连接不上离线
        "cmd_type": "set_wifi",
        "info":{
		    "ssid":"KGIoT",
		    "passwd":"9638527410"
        }
	}
}
```

| 参数名 | 示例值 | 参数类型 | 是否必填 | 参数描述 |
| --- | --- | ---- | ---- | ---- |
| app_id |  xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx | String | 是 | 硬件云appid |
| app_secret |  xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx | String | 是 | 硬件云appsecret |
| device_sn | W763AE2409C | String | 是 | 设备序列号 |
| type | 1 | Number | 是 | 指令类型1为主动请求，2为设备自动上报到回调url |
| data | - | Object | 是 | 返回数据 |
| data.cmd_type | set_wifi | String | 是 | - |
| data.info | - | Object | 是 | - |
| data.info.ssid | KGIoT | String | 是 | - |
| data.info.passwd | 9638527410 | String | 是 | - |

**认证方式**

> 继承父级

**响应示例**

* 成功(200)

```javascript
{
	"code": 0,
	"data": {
		"device_sn": "W763AE2409C",
		"msg_id": 173,
		"type": 1,
		"cmd": "set_wifi",
		"app_id": "",
		"cmd_type": "",
		"info": {
			"code": 0,
			"err_code": 0,
			"msg": "",
			"passwd": "9638527410",
			"ssid": "KGIoT"
		}
	}
}
```

| 参数名 | 示例值 | 参数类型 | 参数描述 |
| --- | --- | ---- | ---- |
| code | 0 | Number | 响应状态0为正常 |
| data | - | Object | 返回数据 |
| data.device_sn | W763AE2409C | String | 设备序列号 |
| data.msg_id | 173 | Number | 消息id |
| data.type | 1 | Number | 指令类型1为主动请求，2为设备自动上报到回调url |
| data.cmd | set_wifi | String | 开门反馈指令 |
| data.app_id | - | String | - |
| data.cmd_type | - | String | - |
| data.info | - | Object | 返回数据信息 |
| data.info.code | 0 | Number | - |
| data.info.err_code | 0 | Number | - |
| data.info.msg | - | String | 返回文字描述 |
| data.info.passwd | 9638527410 | String | - |
| data.info.ssid | KGIoT | String | - |

* 失败(201)

```javascript
{
	"code": 1000,
	"msg": "没有操作此设备的权限"
}
```

| 参数名 | 示例值 | 参数类型 | 参数描述 |
| --- | --- | ---- | ---- |
| code | 1000 | Integer | 响应状态0为正常 |
| msg | 没有操作此设备的权限 | String | 消息描述 |

### W763_门状态回调json格式

> 创建人: 极客师傅

> 更新人: 极客师傅

> 创建时间: 2024-04-24 16:07:42

> 更新时间: 2024-09-13 14:03:49

```text
暂无描述
```

**接口状态**

> 已完成

**接口URL**

> 设置到硬件云平台的回调地址

**请求方式**

> POST

**Content-Type**

> json

**请求Body参数**

```javascript
{
	"device_sn": "W763AE24074",
	"msg_id": "0",
	"type": "2",
	"cmd": "dooropen",
	"app_id": "",
	"cmd_type": "dooropen",
	"info": {
		"status": "1"
	}
}
```

| 参数名 | 示例值 | 参数类型 | 是否必填 | 参数描述 |
| --- | --- | ---- | ---- | ---- |
| device_sn | W763AE24074 | String | 是 | - |
| msg_id | 0 | String | 是 | - |
| type | 2 | String | 是 | - |
| cmd | dooropen | String | 是 | - |
| app_id | - | String | 是 | - |
| cmd_type | dooropen | String | 是 | - |
| info | - | Object | 是 | - |
| info.status | 1 | String | 是 | - |

**认证方式**

> 继承父级

**响应示例**

* 成功(200)

```javascript
{
	"device_sn": "W763AE24074",
	"msg_id": "0",
	"type": "2",
	"cmd": "doorclose",
	"app_id": "",
	"cmd_type": "doorclose",
	"info": {
		"status": "1"
	}
}
```

| 参数名 | 示例值 | 参数类型 | 参数描述 |
| --- | --- | ---- | ---- |
| device_sn | W763AE24074 | String | - |
| msg_id | 0 | String | - |
| type | 2 | String | - |
| cmd | doorclose | String | - |
| app_id | - | String | - |
| cmd_type | doorclose | String | 回调状态1 |
| info | - | Object | - |
| info.status | 1 | String | 状态线接通是0，断开是1 |

* 失败(404)

```javascript
暂无数据
```

### W763_出门开关按钮回调json格式

> 创建人: 极客师傅

> 更新人: 极客师傅

> 创建时间: 2024-09-13 13:16:32

> 更新时间: 2024-09-13 14:04:01

```text
暂无描述
```

**接口状态**

> 开发中

**接口URL**

> 设置到硬件云平台的回调地址

**请求方式**

> POST

**Content-Type**

> json

**请求Body参数**

```javascript
{
	"device_sn": "W763AE2409C",
	"msg_id": "0",
	"type": "2",
	"cmd": "exitopened",
	"app_id": "",
	"cmd_type": "exitopened",
	"info": {
		"status": "1"
	}
}
```

| 参数名 | 示例值 | 参数类型 | 是否必填 | 参数描述 |
| --- | --- | ---- | ---- | ---- |
| device_sn | W763AE2409C | String | 是 | - |
| msg_id | 0 | String | 是 | - |
| type | 2 | String | 是 | - |
| cmd | exitopened | String | 是 | - |
| app_id | - | String | 是 | - |
| cmd_type | exitopened | String | 是 | - |
| info | - | Object | 是 | - |
| info.status | 1 | String | 是 | - |

**认证方式**

> 继承父级

**响应示例**

* 成功(200)

```javascript
{
	"device_sn": "W763AE2409C",
	"msg_id": "0",
	"type": "2",
	"cmd": "exitopened",
	"app_id": "",
	"cmd_type": "exitopened",
	"info": {
		"status": "1"
	}
}
```

| 参数名 | 示例值 | 参数类型 | 参数描述 |
| --- | --- | ---- | ---- |
| device_sn | W763AE2409C | String | - |
| msg_id | 0 | String | - |
| type | 2 | String | - |
| cmd | exitopened | String | - |
| app_id | - | String | - |
| cmd_type | exitopened | String | 回调状态1 |
| info | - | Object | - |
| info.status | 1 | String | 状态线接通是0，断开是1 |

* 失败(404)

```javascript
暂无数据
```