## 1.注册设备

- 将设备和appid、appsecret绑定

##### 请求URL
- `https://wdev.wmj.com.cn/deviceApi/register `
  
##### 请求方式
- POST 

##### 请求格式
- json 

##### 参数
```
{
	"app_id": "",
	"app_secret": "",
	"device_sn": ""
}
```
|参数名|必选|类型|说明|
|:----    |:---|:----- |-----   |
|app_id |是  |string |用户app_id   |
|app_secret |是  |string | 用户app_secret    |
|device_sn     |是  |string | 设备序列号    |

##### 返回示例 

``` 
{
	"code": 0,
	"msg": "注册成功"
}
{
	"code": 1005,
	"msg": "设备已注册"
}
```

##### 返回参数说明 

|参数名|类型|说明|
|:-----  |:-----|-----                           |
|code |int   |错误码 0成功其他异常  |
|msg |int   |描述  |

##### 备注 

- 更多返回错误代码请看首页的错误代码描述


## 2.开门

- 开门

##### 请求URL
- `https://wdev.wmj.com.cn/deviceApi/send`
  
##### 请求方式
- POST 

##### 请求格式
- json 

##### 参数


```
{
	"app_id":"",
	"app_secret":"",
	"device_sn": "设备序列号",
	"data": {
		"cmd_type": "open",
		"info": {
			"tts":"欢迎",
			"volume":3
		}
	}
}
```
|参数名|必选|类型|说明|
|:----    |:---|:----- |-----   |
|app_id |是  |string |用户app_id   |
|app_secret |是  |string | 用户app_secret    |
|device_sn     |是  |string | 设备序列号    |
|data.cmd_type     |是  |string | 开锁标识cmd_type|
|data.info.sn     |否  |string |一旦传入sn，设备将校验传入sn是否与设备本身sn一致，校验成功才能开门 |
|data.info.tts    |否 |string|开门提示语音，不传的情况下使用配置语音或默认语音|
|data.info.volume    |否 |int|开门提示语音音量`1-7`|
|data.info.###    |否 |any|可更加实际情况传入，会原值返回|

##### 返回示例

```
//成功
{
	"code": 0,
	"data": {
		"cmd_type": "open",
		"info": {
			"code": 0,
			"msg": "",
			"sn": "W7612345678",
		}
	}
}
//失败
{
	"code": 1001,
	"msg": "网络超时"
}
```

##### 返回参数说明 

|参数名|类型|说明|
|:-----  |:-----|-----                           |
|code |int   |调用接口错误码 0成功其他异常  |
|data.info.code |int   | 业务错误码，0成功其他异常  |
|data.info.msg|string|业务错误信息|

## 3.重启设备

- 重启设备

##### 请求URL
- `https://wdev.wmj.com.cn/deviceApi/send`
  
##### 请求方式
- POST 

##### 请求格式
- json 

##### 参数


```
{
	"app_id":"",
	"app_secret":"",
	"device_sn": "W7612345678",
	"data": {
		"cmd_type":"restart",
		"info":{}
	}
}
```
|参数名|必选|类型|说明|
|:----    |:---|:----- |-----   |
|app_id |是  |string |用户app_id   |
|app_secret |是  |string | 用户app_secret    |
|device_sn     |是  |string | 设备序列号    |
|data.cmd_type     |是  |string | 开锁标识cmd_type|
|data.info|是|object|暂未使用|

##### 返回示例

```
//成功
{
	"code": 0,
	"data": {
		"cmd_type": "restart",
		"info": {
			"code": 0,
			"msg": ""
		}
	}
}
//失败
{
	"code": 1001,
	"msg": "网络超时"
}
```

##### 返回参数说明 

|参数名|类型|说明|
|:-----  |:-----|-----                           |
|code |int   |调用接口错误码 0成功其他异常  |
|data.info.code |int   | 业务错误码，0成功其他异常  |
|data.info.msg|string|业务错误信息|



## 4.语音设置

- 语音设置

##### 请求URL
- `https://wdev.wmj.com.cn/deviceApi/send`
  
##### 请求方式
- POST 

##### 请求格式
- json 

##### 参数


```
{
	"app_id":"",
	"app_secret":"",
	"device_sn": "设备序列号",
	"data": {
		"cmd_type": "set_audio",
		"info": {
		    "pass_tts":"认证成功",
		    "no_pass_tts":"认证失败",
		    "launch_tts":"连接成功",
		    "volume":6
		}
	}
}
```
|参数名|必选|类型|说明|
|:----    |:---|:----- |-----   |
|app_id |是  |string |用户app_id   |
|app_secret |是  |string | 用户app_secret    |
|device_sn     |是  |string | 设备序列号    |
|data.cmd_type     |是  |string | 音量设置命令`set_audio`|
|data.info.pass_tts     |否  |string |开门成功语音提示|
|data.info.no_pass_tts    |否 |string|开门失败语音提示|
|data.info.launch_tts     |否  |string |连接服务器成功语音提示 |
|data.info.volume    |否 |int|播报音量调节` 1-7`|

##### 返回示例

```
//成功
{
	"code": 0,
	"data": {
		"cmd_type": "open",
		"info": {
			"code": 0,
			"msg": ""
		}
	}
}
//失败
{
	"code": 1001,
	"msg": "网络超时"
}
```

##### 返回参数说明 

|参数名|类型|说明|
|:-----  |:-----|-----                           |
|code |int   |调用接口错误码 0成功其他异常  |
|data.info.code |int   | 业务错误码，0成功其他异常  |
|data.info.msg|string|业务错误信息|


## 5.回调通知
**通知数据将发送到用户注册的回调地址上**

## a. 门状态变化通知
```json
{
	"cmd_type":"door_state_notify",
	"device_sn":"W764xxxxxxxx",
	"info":{
		"state":0
	}
}

```
| 参数  | 类型  |  说明 |
| ------------ | ------------ | ------------ |
| cmd_type  | String  | `door_state_notify`：开门状态通知  |
|  device_sn | String  |  通知设备SN |
| info.state  | String |  门状态<br>0：关门状态 <br>1：开门状态 |

## b. 串口状态变化通知
```json
{
	"cmd_type":"uart_data",
	"device_sn":"W764xxxxxxxx",
	"info":{
		"data":"AABBCCDDEEFF"// hexStr类型的串口数据
	}
}
```
| 参数  | 类型  |  说明 |
| ------------ | ------------ | ------------ |
| cmd_type  | String  | `uart_data`：串口数据通知  |
|  device_sn | String  |  通知设备SN |
| info.data  | String |  串口数据转Hex string类型 |



## 6.控制继电器常通常断

- 通断控制，常开常闭

##### 请求URL
- `https://wdev.wmj.com.cn/deviceApi/send`
  
##### 请求方式
- POST 

##### 请求格式
- json 

##### 参数


```
{
	"app_id":"",
	"app_secret":"",
	"device_sn": "设备序列号",
	"data": {
		"cmd_type": "on_off",
		"info": {
			"state":1,
			"tts":"欢迎",
			"volume":3
		}
	}
}
```
|参数名|必选|类型|说明|
|:----    |:---|:----- |-----   |
|app_id |是  |string |用户app_id   |
|app_secret |是  |string | 用户app_secret    |
|device_sn     |是  |string | 设备序列号    |
|data.cmd_type     |是  |string | 控制标识cmd_type|
|data.info.state|是| int |控制状态，1：通 0：断|
|data.info.tts    |否 |string|控制提示语音|
|data.info.volume    |否 |int|控制提示语音音量`1-7`|

##### 返回示例

```
//成功
{
	"code": 0,
	"data": {
		"cmd_type": "on_off",
		"info": {
			"code": 0,
			"msg": ""
		}
	}
}
//失败
{
	"code": 1001,
	"msg": "网络超时"
}
```

##### 返回参数说明 

|参数名|类型|说明|
|:-----  |:-----|-----                           |
|code |int   |调用接口错误码 0成功其他异常  |
|data.info.code |int   | 业务错误码，0成功其他异常  |
|data.info.msg|string|业务错误信息|



## 7.解绑设备

- 解绑设备，将设备和appid解除绑定关系

##### 请求URL
- `https://wdev.wmj.com.cn/deviceApi/logout`
  
##### 请求方式
- POST 

##### 请求格式
- json 

##### 参数


``` 
{
	"app_id":"",
	"app_secret":"",
	"device_sn": ""
}
```
|参数名|必选|类型|说明|
|:----    |:---|:----- |-----   |
|app_id |是  |string |用户app_id   |
|app_secret |是  |string | 用户app_secret    |
|device_sn     |是  |string | 设备序列号    |


##### 返回示例 

```
//成功
{
    "code": 0,
    "msg": "解绑成功"
}


```

##### 返回参数说明 

|参数名|类型|说明|
|:-----  |:-----|-----                           |
|code |int   |错误码 0成功其他异常  |
|data.info.err_code |int   | 0成功其他异常  |
|data.info.wifi_rssi |int   | 设备信号  |