## 1.注册设备

- 将设备和appid、appsecret绑定

##### 请求URL
- `https://wdev.wmj.com.cn/deviceApi/register `
  
##### 请求方式
- POST 

##### 请求格式
- json 

##### 参数
```
{
	"app_id": "",
	"app_secret": "",
	"device_sn": ""
}
```
|参数名|必选|类型|说明|
|:----    |:---|:----- |-----   |
|app_id |是  |string |用户app_id   |
|app_secret |是  |string | 用户app_secret    |
|device_sn     |是  |string | 设备序列号    |

##### 返回示例 

``` 
{
	"code": 0,
	"msg": "注册成功"
}
{
	"code": 1005,
	"msg": "设备已注册"
}
```

##### 返回参数说明 

|参数名|类型|说明|
|:-----  |:-----|-----                           |
|code |int   |错误码 0成功其他异常  |
|msg |int   |描述  |

##### 备注 

- 更多返回错误代码请看首页的错误代码描述


## 2.开门

- 开门

##### 请求URL
- `https://wdev.wmj.com.cn/deviceApi/send`
  
##### 请求方式
- POST 

##### 请求格式
- json 

##### 参数


```
{
	"app_id":"",
	"app_secret":"",
	"device_sn": "设备序列号",
	"data": {
		"cmd_type": "open",
		"info": {
			"tts":"欢迎",
			"volume":3
		}
	}
}
```
|参数名|必选|类型|说明|
|:----    |:---|:----- |-----   |
|app_id |是  |string |用户app_id   |
|app_secret |是  |string | 用户app_secret    |
|device_sn     |是  |string | 设备序列号    |
|data.cmd_type     |是  |string | 开锁标识cmd_type|
|data.info.sn     |否  |string |一旦传入sn，设备将校验传入sn是否与设备本身sn一致，校验成功才能开门 |
|data.info.tts    |否 |string|开门提示语音，不传的情况下使用配置语音或默认语音|
|data.info.volume    |否 |int|开门提示语音音量`1-7`|
|data.info.###    |否 |any|可更加实际情况传入，会原值返回|

##### 返回示例

```
//成功
{
	"code": 0,
	"data": {
		"cmd_type": "open",
		"info": {
			"code": 0,
			"msg": "",
			"sn": "W7612345678",
		}
	}
}
//失败
{
	"code": 1001,
	"msg": "网络超时"
}
```

##### 返回参数说明 

|参数名|类型|说明|
|:-----  |:-----|-----                           |
|code |int   |调用接口错误码 0成功其他异常  |
|data.info.code |int   | 业务错误码，0成功其他异常  |
|data.info.msg|string|业务错误信息|

## 3.重启设备

- 重启设备

##### 请求URL
- `https://wdev.wmj.com.cn/deviceApi/send`
  
##### 请求方式
- POST 

##### 请求格式
- json 

##### 参数


```
{
	"app_id":"",
	"app_secret":"",
	"device_sn": "W7612345678",
	"data": {
		"cmd_type":"restart",
		"info":{}
	}
}
```
|参数名|必选|类型|说明|
|:----    |:---|:----- |-----   |
|app_id |是  |string |用户app_id   |
|app_secret |是  |string | 用户app_secret    |
|device_sn     |是  |string | 设备序列号    |
|data.cmd_type     |是  |string | 开锁标识cmd_type|
|data.info|是|object|暂未使用|

##### 返回示例

```
//成功
{
	"code": 0,
	"data": {
		"cmd_type": "restart",
		"info": {
			"code": 0,
			"msg": ""
		}
	}
}
//失败
{
	"code": 1001,
	"msg": "网络超时"
}
```

##### 返回参数说明 

|参数名|类型|说明|
|:-----  |:-----|-----                           |
|code |int   |调用接口错误码 0成功其他异常  |
|data.info.code |int   | 业务错误码，0成功其他异常  |
|data.info.msg|string|业务错误信息|



## 4.语音设置

- 语音设置

##### 请求URL
- `https://wdev.wmj.com.cn/deviceApi/send`
  
##### 请求方式
- POST 

##### 请求格式
- json 

##### 参数


```
{
	"app_id":"",
	"app_secret":"",
	"device_sn": "设备序列号",
	"data": {
		"cmd_type": "set_audio",
		"info": {
		    "pass_tts":"认证成功",
		    "no_pass_tts":"认证失败",
		    "launch_tts":"连接成功",
		    "volume":6
		}
	}
}
```
|参数名|必选|类型|说明|
|:----    |:---|:----- |-----   |
|app_id |是  |string |用户app_id   |
|app_secret |是  |string | 用户app_secret    |
|device_sn     |是  |string | 设备序列号    |
|data.cmd_type     |是  |string | 音量设置命令`set_audio`|
|data.info.pass_tts     |否  |string |开门成功语音提示|
|data.info.no_pass_tts    |否 |string|开门失败语音提示|
|data.info.launch_tts     |否  |string |连接服务器成功语音提示 |
|data.info.volume    |否 |int|播报音量调节` 1-7`|

##### 返回示例

```
//成功
{
	"code": 0,
	"data": {
		"cmd_type": "open",
		"info": {
			"code": 0,
			"msg": ""
		}
	}
}
//失败
{
	"code": 1001,
	"msg": "网络超时"
}
```

##### 返回参数说明 

|参数名|类型|说明|
|:-----  |:-----|-----                           |
|code |int   |调用接口错误码 0成功其他异常  |
|data.info.code |int   | 业务错误码，0成功其他异常  |
|data.info.msg|string|业务错误信息|


## 5.回调通知
**通知数据将发送到用户注册的回调地址上**

## a. 门状态变化通知
```json
{
	"cmd_type":"door_state_notify",
	"device_sn":"W764xxxxxxxx",
	"info":{
		"state":0
	}
}

```
| 参数  | 类型  |  说明 |
| ------------ | ------------ | ------------ |
| cmd_type  | String  | `door_state_notify`：开门状态通知  |
|  device_sn | String  |  通知设备SN |
| info.state  | String |  门状态<br>0：关门状态 <br>1：开门状态 |

## b. 串口状态变化通知
```json
{
	"cmd_type":"uart_data",
	"device_sn":"W764xxxxxxxx",
	"info":{
		"data":"AABBCCDDEEFF"// hexStr类型的串口数据
	}
}
```
| 参数  | 类型  |  说明 |
| ------------ | ------------ | ------------ |
| cmd_type  | String  | `uart_data`：串口数据通知  |
|  device_sn | String  |  通知设备SN |
| info.data  | String |  串口数据转Hex string类型 |



## 6.控制继电器常通常断

- 通断控制，常开常闭

##### 请求URL
- `https://wdev.wmj.com.cn/deviceApi/send`
  
##### 请求方式
- POST 

##### 请求格式
- json 

##### 参数


```
{
	"app_id":"",
	"app_secret":"",
	"device_sn": "设备序列号",
	"data": {
		"cmd_type": "on_off",
		"info": {
			"state":1,
			"tts":"欢迎",
			"volume":3
		}
	}
}
```
|参数名|必选|类型|说明|
|:----    |:---|:----- |-----   |
|app_id |是  |string |用户app_id   |
|app_secret |是  |string | 用户app_secret    |
|device_sn     |是  |string | 设备序列号    |
|data.cmd_type     |是  |string | 控制标识cmd_type|
|data.info.state|是| int |控制状态，1：通 0：断|
|data.info.tts    |否 |string|控制提示语音|
|data.info.volume    |否 |int|控制提示语音音量`1-7`|

##### 返回示例

```
//成功
{
	"code": 0,
	"data": {
		"cmd_type": "on_off",
		"info": {
			"code": 0,
			"msg": ""
		}
	}
}
//失败
{
	"code": 1001,
	"msg": "网络超时"
}
```

##### 返回参数说明 

|参数名|类型|说明|
|:-----  |:-----|-----                           |
|code |int   |调用接口错误码 0成功其他异常  |
|data.info.code |int   | 业务错误码，0成功其他异常  |
|data.info.msg|string|业务错误信息|



## 7.解绑设备

- 解绑设备，将设备和appid解除绑定关系

##### 请求URL
- `https://wdev.wmj.com.cn/deviceApi/logout`
  
##### 请求方式
- POST 

##### 请求格式
- json 

##### 参数


``` 
{
	"app_id":"",
	"app_secret":"",
	"device_sn": ""
}
```
|参数名|必选|类型|说明|
|:----    |:---|:----- |-----   |
|app_id |是  |string |用户app_id   |
|app_secret |是  |string | 用户app_secret    |
|device_sn     |是  |string | 设备序列号    |


##### 返回示例 

```
//成功
{
    "code": 0,
    "msg": "解绑成功"
}


```

##### 返回参数说明 

|参数名|类型|说明|
|:-----  |:-----|-----                           |
|code |int   |错误码 0成功其他异常  |
|data.info.err_code |int   | 0成功其他异常  |
|data.info.wifi_rssi |int   | 设备信号  |


## 8.卡管理
- 卡管理：`添加`、`删除`、`修改`、`查询`、`清空`、`获取卡总数`、`设备发卡设置`


##### 请求URL
- `https://wdev.wmj.com.cn/deviceApi/send`
  
##### 请求方式
- `POST`

##### 请求格式
- `json` 

##### 请求示例
```
{
	"app_id":"",
	"app_secret":"",
	"device_sn": "W7612345678",
	"data": {
		"cmd_type": "card_***",
		"info": {
			"card_id": "27598FAF",
			"start_time": 1676904446,
			"end_time": 1710662359
		}
	}
}

// 发卡请求示例
{
	"app_id":"",
	"app_secret":"",
	"device_sn": "W7612345678",
	"data": {
		"cmd_type": "device_add_card",
		"info": {
			"state": 1,
			//"start_time": 1676904446,
			//"end_time": 1710662359
		}
	}
}
```
##### 参数说明
|参数名|必选|类型|说明|
|:----    |:---|:----- |-----   |
|app_id |是  |string |接口参数：用户app_id   |
|app_secret |是  |string | 接口参数：用户app_secret    |
|device_sn     |是  |string | 接口参数：设备序列号    |
|**data.cmd_type**     |**是**  |string |业务参数：命令类型<br> **card_add**: `新增`<br>**card_del**: `删除`<br>**card_edit**: `编辑`<br>**card_clr**: `清空所有卡`<br>**card_sum**: `获取卡总数`<br>**card_find**: `获取卡详情`<br>**device_add_card**: `设备发卡设置`|
|**data.info.card_id **    |**是(除device_add_card)**  |string | 业务参数：卡序列号|
|data.info.start_time     |否  |integer | 业务参数：<br>启用时间，默认当前时间|
|data.info.end_time     |否  |integer | 业务参数：<br>停用时间，默认0x7FFFFFFF|
|data.info.state     |**是(仅device_add_card)**  |integer | 业务参数：<br>设备发卡参数，仅`data.cmd_type == "device_add_card"`时有效。<br>1: 开启设备发卡模式  <br>0：关闭设备发卡模式<br>**注意：发卡模式不会自动退出**|


##### 返回示例
```
//接口调用成功
{
	"code": 0,
	"data": {
		"cmd_type": "card_***",
		"info": {
			"code": 0,
			"msg":"",
			"card_id": "DB948509",
			"end_time": 1810662359,
			"start_time": 1676904446,
		}
	}
}
//接口调用失败
{
	"code": 1001,
	"msg": "网络超时"
}
```

##### 返回参数说明 

|参数名|必有|类型|说明|
|:-----|:-----|:-----|-----                           |
|code |是|int   |接口参数：错误码<br> 0: `成功`<br>其他: `异常`  |
|data.info.code|是 |int   | 业务参数：错误码<br>0: `成功`<br> 其他: `失败 |
|data.info.msg|是 |string   | 业务参数：错误信息  |
|data.info.card_id| 否 |string | 业务参数：卡序列号|
|data.info.start_time|否  |integer | 业务参数：启用时间|
|data.info.end_time|否  |integer | 业务参数：停用时间|

## 9.开门回调通知
**通知数据将发送到app_id和app_secret注册的回调地址上**

```json
{
	"cmd_type":"open_notify",
	"device_sn":"W76****",
	"info":{
		"type":"passwd",
		"data":"12345678"
	}
}
```
| 参数  | 类型  |  说明 |
| ------------ | ------------ | ------------ |
| cmd_type  | String  | `open_notify`：开门通知  |
|  device_sn | String  |  通知设备SN |
| info.type  | 开门通知类型 |  `passwd`:密码开门<br>`temporary_passwd`:临时密码开门<br>`open_cmd`:命名开门<br>`card`:刷卡开门 |
|  info.data | String  |  开门通知数据，如卡号、密码等 |


## 10.获取设备信息

- 获取设备信息

##### 请求URL
- `https://wdev.wmj.com.cn/deviceApi/send`
  
##### 请求方式
- POST 

##### 请求格式
- json

##### 参数

```json
{
	"app_id":"",
	"app_secret":"",
	"device_sn": "W766XXX",
	"type":1,
	"data": {
		"cmd_type":"getdevinfo",
		"info":{
		}
	}
}
```
|参数名|必选|类型|说明|
|:----    |:---|:----- |-----   |
|app_id |是  |string |用户app_id   |
|app_secret |是  |string | 用户app_secret    |
|device_sn     |是  |string | 设备序列号    |
|data.cmd_type     |是  |string | 获取信息`getdevinfo`|

##### 返回示例

```
//成功
{
	"code": 0,
	"data": {
		"cmd_type": "getdevinfo",
		"info": {
			"card_sum": 0,
			"code": 0,
			"iccid": "898604D6102271509436",
			"imei": "869298057400244",
			"msg": "",
			"pwd_sum": 0,
			"rssi": 15,
			"version": "1.0.17"
		}
	}
}
//失败
{
	"code": 1001,
	"msg": "网络超时"
}
```

##### 返回参数说明 

|参数名|类型|说明|
|:-----  |:-----|-----                           |
|code |int   |调用接口错误码 0成功其他异常  |
| data.info.iccid                 | String  | iccid                                          |
| data.info.imei                  | String  | imei                                           |
| data.info.rssi                  | Integer | rssi                                           |
| data.info.version|String|软件版本号|
| data.info.card_sum                  | Integer | 门卡数量                                           |
| data.info.pwd_sum                  | Integer | 密码数量                                           |
|data.info.code |int   | 业务错误码，0成功其他异常  |
|data.info.msg|string|业务错误信息|


## 11.二维码设置


##### 简要描述

- 开门

##### 请求URL
- `https://wdev.wmj.com.cn/deviceApi/send`

##### 请求方式
- POST

##### 请求格式
- json 

##### 参数


```
{
	"app_id":"",
	"app_secret":"",
	"device_sn": "W7612345678",
	"data": {
		"cmd_type": "set_qrcode",
		"info": {
		    "qrcode":"https://www.wmj.com.cn",
		    "mode":"passive"
		}
	}
}
```
|参数名|必选|类型|说明|
|:----    |:---|:----- |-----   |
|app_id |是  |string |用户app_id   |
|app_secret |是  |string | 用户app_secret    |
|device_sn     |是  |string | 设备序列号    |
|data.cmd_type     |是  |string | 开锁标识cmd_type|
|data.info.mode    |否 |string|设备二维码模式<br>"passive": 设备提供二维码供用户扫描|
|data.info.qrcode     |否  |string |显示在屏幕上的二维码内容|


##### 返回示例

```
//成功
{
	"code": 0,
	"data": {
		"cmd_type": "set_qrcode",
		"info": {
			"code": 0,
			"msg": ""
		}
	}
}
//失败
{
	"code": 1001,
	"msg": "网络超时"
}
```

##### 返回参数说明 

|参数名|类型|说明|
|:-----  |:-----|-----                           |
|code |int   |调用接口错误码 0成功其他异常  |
|data.info.code |int   | 业务错误码，0成功其他异常  |
|data.info.msg|string|业务错误信息|





## 12.门状态通知
**通知数据将发送到用户注册的回调地址上**

```json
{
	"cmd_type":"door_state_notify",
	"device_sn":"W765xxxxxxxx",
	"info":{
		"state":0
	}
}

```
| 参数  | 类型  |  说明 |
| ------------ | ------------ | ------------ |
| cmd_type  | String  | `door_state_notify`：开门状态通知  |
|  device_sn | String  |  通知设备SN |
| info.state  | String |  门状态<br>0：关门状态 <br>1：开门状态 |

## 13.从设备发卡成功通知
**通知数据将发送到用户注册的回调地址上**

```json
{
	"cmd_type":"add_card_notify",
	"device_sn":"W765xxxxxxxx",
	"info":{
		"card_id":"B6DC7FA0",
		"start_time":0,
		"end_time":21784374830
	}
}

```
| 参数  | 类型  |  说明 |
| ------------ | ------------ | ------------ |
| cmd_type  | String  | `add_card_notify`：发卡成功通知  |
|  device_sn | String  |  通知设备SN |
| info.state  | String | 卡号 |
| info.start_time  | Integer | 有效开始时间戳 |
| info.end_time  | Integer | 有效截止时间戳 |

## 14.参数设置

##### 简要描述

- 语音设置

##### 请求URL
- `https://wdev.wmj.com.cn/deviceApi/send`
  
##### 请求方式
- POST 

##### 请求格式
- json 

##### 参数


```
{
	"app_id":"",
	"app_secret":"",
	"device_sn": "设备序列号",
	"data": {
		"cmd_type": "setting",
		"info": {
		    "qrcode_dynamic":1
		    "qrcode_secret":12345687
		}
	}
}
```
|参数名|必选|类型|说明|
|:----    |:---|:----- |-----   |
|app_id |是  |string |用户app_id   |
|app_secret |是  |string | 用户app_secret    |
|device_sn     |是  |string | 设备序列号    |
|data.cmd_type     |是  |string | 设置命令`setting`，<br>`重启后生效`|
|data.info.qrcode_dynamic    |否 |Integer|1:开启动态二维码更新<br>0：显示静态二维码<br>默认为1|
|data.info.qrcode_secret     |否  |Integer |动态二维码时间戳简单加密<br>默认为12345687 |
**注意：当为动态二维码时，二维码显示内容格式为：**
`url + &st=(生成时间戳+data.info.qrcode_secret)`
```shell
例如：
url: http://www.wmj.com.cn?id=1
当前时间：1700467862
qrcode_secret：12345687
生成二维码内容：http://www.wmj.com.cn?id=1&st=1712813549
```
##### 返回示例

```
//成功
{
	"code": 0,
	"data": {
		"cmd_type": "setting",
		"info": {
			"code": 0,
			"msg": ""
		}
	}
}
//失败
{
	"code": 1001,
	"msg": "网络超时"
}
```

##### 返回参数说明 

|参数名|类型|说明|
|:-----  |:-----|-----                           |
|code |int   |调用接口错误码 0成功其他异常  |
|data.info.code |int   | 业务错误码，0成功其他异常  |
|data.info.msg|string|业务错误信息|

## 15.蓝牙开门
##### 简要描述
- 蓝牙开门，使用蓝牙方式开门时需要先通过指定接口请求临时密码，详情见[临时密码](https://doc.wmj.com.cn/1/page/154)页。

##### 请求格式
- `json`

##### 参数
```json
{
	"cmd_type": "ble_pwd_open_lock",
	"info": {
		"data": "04179499"
	}
}
```
|参数名|必选|类型|说明|
|:----    |:---|:----- |-----   |
|cmd_type |是  |string |蓝牙开门指令   |
|info |是  |object | 命令信息    |
|info.data     |是  |string | `临时密码`    |

##### 返回示例
```
{
	"cmd_type": "ble_pwd_open_lock",
	"info": {
		"code": 0,
		"msg": ""
	}
}
```

|参数名|类型|说明|
|:-----  |:-----|-----|
|cmd_type|string |蓝牙开门指令   |
|info.code |int   | 0成功，其他失败  |
|info.msg|string|错误信息|

## 16.重置设备

| 变更人  | 变更时间  | 内容  | 生效版本 |
| ------------ | ------------ | ------------ | ------------ |
|  Sdnbyzq |  2023.12.15 17:50 | --| >= v1.0.8 |

**简要描述**： 设备重置

请求地址：`https://wdev.wmj.com.cn/deviceApi/send`

请求协议：`POST`

请求格式：`application/json`

**请求示例：**
```json
// 重置设备所有数据，类似恢复出厂设置
{
	"app_id":"xxx",
	"app_secret":"xxx",
	"device_sn": "W7657400244",
	"data": {
        "cmd_type": "reset",
        "info":{}
    }
}
```
**请求参数说明：**

|参数名|必选|类型|说明|
| ------------ | ------------ | ------------ | ------------ |
|app_id |是  |string |接口参数：用户app_id   |
|app_secret |是  |string | 接口参数：用户app_secret    |
|device_sn     |是  |string | 接口参数：设备序列号    |
|**data.cmd_type**     |**是**  |string |业务参数：命令`reset`|


**回复示例：**
```json
{
	"code": 0,
	"data": {
		"device_sn": "W7657400244",
		"cmd_type": "reset",
		"info": {
			"code": 0,
			"msg": ""
		}
	}
}
```
**参数说明：**

| 参数       | 类型    | 说明                                                         |
| ---------- | ------- | ------------------------------------------------------------ |
| app_id     | String  | 接口参数：app_id                                             |
| app_secret | String  | 接口参数：app_secret                                         |
| data.device_sn  | String  | 接口参数：设备序列号                                         |
| data.cmd_type        | String  | 业务参数：操作命令 |
| data.info| Object | 业务参数：命令信息|
|data.info.code |Integer   | 业务参数：错误码，0成功 其他：失败  |
|data.info.msg|string|业务参数：错误信息|

## 17.设备进出发卡模式

##### 简要描述
- 卡管理：`设备发卡设置`


##### 请求URL
- `https://wdev.wmj.com.cn/deviceApi/send`
  
##### 请求方式
- `POST`

##### 请求格式
- `json` 

##### 示例
```
{
	"app_id":"xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx",
	"app_secret":"xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx",
	"device_sn": "W7612345678",
	"data": {
		"cmd_type": "device_add_card",
		"info": {
			"state":1   // 1: 设备发卡模式   0：关闭设备发卡模式
		}
	}
}
```
##### 参数说明
|参数名|必选|类型|说明|
|:----    |:---|:----- |-----   |
|app_id |是  |string |接口参数：用户app_id   |
|app_secret |是  |string | 接口参数：用户app_secret    |
|device_sn     |是  |string | 接口参数：设备序列号    |
|data.cmd_type     |是  |string |device_add_card|
|data.info.state     |是(仅device_add_card)  |integer | <br>1: 开启设备发卡模式  <br>0：关闭设备发卡模式<br>**注意：发卡模式不会自动退出**|


##### 返回示例
```
//接口调用成功
{
	"code": 0,
	"data": {
		"device_sn": "W7651456581",
		"msg_id": 194,
		"type": 1,
		"cmd": "",
		"app_id": "",
		"cmd_type": "device_add_card",
		"info": {
			"code": 0,
			"msg": ""
		}
	}
}
//接口调用失败
{
	"code": 1001,
	"msg": "网络超时"
}
```

##### 返回参数说明 

|参数名|必有|类型|说明|
|:-----|:-----|:-----|-----                           |
|code |是|int   |接口参数：错误码<br> 0: `数据传输成功`<br>其他: `异常`  |
|data.info.code|是 |int   | 业务参数：错误码<br>0: `业务操作成功`<br> 其他: `失败 |
|data.info.msg|是 |string   | 业务参数：错误信息  |