## W76F_5路门禁控制器

```text
5路门禁控制器接口文档
```


### 1.W76F注册


```text
将设备和appid绑定
```

**接口状态**

> 已完成

**接口URL**

> `https://wdev.wmj.com.cn/deviceApi/register`

**请求方式**

> POST

**Content-Type**

> json

**请求Body参数**

```javascript
{
	"app_id": "{{wmjv2appid}}",
	"app_secret": "{{wmjv2appsecret}}",
	"device_sn": "W76FAE2409C"
}
```

| 参数名 | 示例值 | 参数类型 | 是否必填 | 参数描述 |
| --- | --- | ---- | ---- | ---- |
| app_id | xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx | String | 是 | 硬件云appid |
| app_secret | xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx | String | 是 | 硬件云appsecret |
| device_sn | W76FAE2409C | String | 是 | 设备序列号 |

**认证方式**

> 继承父级

**响应示例**

* 成功(200)

```javascript
{
	"code": 0,
	"msg": "注册成功"
}
```

| 参数名 | 示例值 | 参数类型 | 参数描述 |
| --- | --- | ---- | ---- |
| code | 0 | Number | 响应状态0为正常 |
| msg | 注册成功 | String | 返回文字描述 |

* 失败(404)

```javascript
其他code>0的反馈数据
```

### 2.W76F_开门



```text
暂无描述
```

**接口状态**

> 已完成

**接口URL**

> `https://wdev.wmj.com.cn/deviceApi/send`

**请求方式**

> POST

**Content-Type**

> json

**请求Body参数**

```javascript
{
	"app_id": "{{wmjv2appid}}",
	"app_secret": "{{wmjv2appsecret}}",
	"device_sn": "W76FAE2409C",
	"type": 1,
	"data": {
		"cmd_type": "relay_ctrl",
		"info": {
			"relay": 3 //1-5分别控制1-5路继电器
		}
	}
}
```

| 参数名 | 示例值 | 参数类型 | 是否必填 | 参数描述          |
| --- | --- | ---- | ---- |---------------|
| app_id | xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx | String | 是 | 硬件云appid      |
| app_secret | xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx | String | 是 | 硬件云appsecret  |
| device_sn | W76FAE2409C | String | 是 | 序列号           |
| type | 1 | Number | 是 | 指令类型          |
| data | - | Object | 是 | 返回数据          |
| data.cmd_type | relay_ctrl | String | 是 | 命令字           |
| data.info | - | Object | 是 | 数据信息          |
| data.info.relay | 1 | Number | 是 | 1-5控制1-5路开门信号 |

**认证方式**

> 继承父级

**响应示例**

* 成功(200)

```javascript
{
	"code": 0,
	"data": {
		"device_sn": "W76FAE2409C",
		"msg_id": 103,
		"type": 1,
		"cmd": "relay_ctrl",
		"app_id": "",
		"cmd_type": "",
		"info": {
			"code": 0,
			"err_code": 0,
			"msg": ""
		}
	}
}
```

| 参数名 | 示例值 | 参数类型 | 参数描述                    |
| --- | --- | ---- |-------------------------|
| code | 0 | Number | 通信响应成功                  |
| data | - | Object | 返回数据                    |
| data.device_sn | W76FAE2409C | String | 序列号                     |
| data.msg_id | 216 | Number | 消息ID                    |
| data.type | 1 | Number | 指令类型                    |
| data.cmd | relay_ctrl | String | 命令                      |
| data.app_id | - | String | -                       |
| data.cmd_type | - | String | 命令类型                    |
| data.info | - | Object | 数据信息                    |
| data.info.code | 0 | Number | 响应代码，0 为正常，代表开门成功，其他为异常 |
| data.info.err_code | 0 | Number | -                       |
| data.info.msg | - | String | 返回文字描述                  |

* 失败(201)

```javascript
暂无数据
```

### 3.W76F_设置继电器延时


```text
设置开门时继电器输出的导通时间，毫秒，默认1000.
```

**接口状态**

> 已完成

**接口URL**

> `https://wdev.wmj.com.cn/deviceApi/send`

**请求方式**

> POST

**Content-Type**

> json

**请求Body参数**

```javascript
{
	"app_id": "{{wmjv2appid}}",
	"app_secret": "{{wmjv2appsecret}}",
	"device_sn": "W76FAE2409C",
	"type": 1,
	"data": {
		"cmd_type": "set_relay",
		"info": {
			"relay1": 1000,//毫秒
			"relay2": 1000,
			"relay3": 1000,
			"relay4": 1000,
			"relay5": 1000
		}
	}
}
```

| 参数名              | 示例值 | 参数类型 | 是否必填 | 参数描述 |
|------------------| --- | ---- | ---- | ---- |
| app_id           | xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx | String | 是 | 硬件云appid |
| app_secret       | xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx | String | 是 | 硬件云appsecret |
| device_sn        | W76FAE2409C | String | 是 | 序列号 |
| type             | 1 | Number | 是 | 指令类型 |
| data             | - | Object | 是 | 返回数据 |
| data.cmd_type    | set_relay | String | 是 | 命令字 |
| data.info        | - | Object | 是 | 数据信息 |
| data.info.relay1 | 1000 | Number | 是 | 毫秒 |
| data.info.relay2 | 1000 | Number | 是 | 毫秒 |
| data.info.relay3 | 1000 | Number | 是 | 毫秒 |
| data.info.relay4 | 1000 | Number | 是 | 毫秒|
| data.info.relay5 | 1000 | Number | 是 | 毫秒 |

**认证方式**

> 继承父级

**响应示例**

* 成功(200)

```javascript
{
	"code": 0,
	"data": {
		"device_sn": "W76FAE2409C",
		"msg_id": 84,
		"type": 1,
		"cmd": "set_relay",
		"app_id": "",
		"cmd_type": "",
		"info": {
			"code": 0,
			"err_code": 0,
			"msg": "",
			"relay1": 1000,
			"relay2": 1000,
			"relay3": 1000,
			"relay4": 1000,
			"relay5": 1000
		}
	}
}
```

| 参数名                | 示例值         | 参数类型 | 参数描述             |
|--------------------|-------------| ---- |------------------|
| code               | 0           | Number | 通信响应成功           |
| data               | -           | Object | 返回数据             |
| data.device_sn     | W76FAE2409C | String | 序列号              |
| data.msg_id        | 54          | Number | 消息ID             |
| data.type          | 1           | Number | 指令类型             |
| data.cmd           | set_relay   | String | 命令               |
| data.app_id        | -           | String | -                |
| data.cmd_type      | -           | String | 命令类型             |
| data.info          | -           | Object | 数据信息             |
| data.info.code     | 0           | Number | 响应代码，0为成功，其它值为失败 |
| data.info.err_code | 0           | Number | -                |
| data.info.msg      | -           | String | 返回文字描述           |
| data.info.relay1   | 1000        | Number | -                |
| data.info.relay2   | 1000        | Number | -                |
| data.info.relay3   | 1000        | Number | -                |
| data.info.relay4   | 1000        | Number | -                |
| data.info.relay5   | 1000        | Number | -                |

* 失败(201)

```javascript
失败时code不为0
```

### 4.W76F_设置应急和管理密码


```text
暂无描述
```

**接口状态**

> 已完成

**接口URL**

> `https://wdev.wmj.com.cn/deviceApi/send`

**请求方式**

> POST

**Content-Type**

> json

**请求Body参数**

```javascript
{
	"app_id": "{{wmjv2appid}}",
	"app_secret": "{{wmjv2appsecret}}",
	"device_sn": "W76FAE2409C",
	"type": 1,
	"data": {
		"cmd_type": "set_pwd",
		"info": {
			"device_pwd": "12345687",
			"admin_pwd": "admin"
		}
	}
}
```

| 参数名 | 示例值 | 参数类型 | 是否必填 | 参数描述 |
| --- | --- | ---- | ---- | ---- |
| app_id | xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx | String | 是 | 硬件云appid |
| app_secret | xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx | String | 是 | 硬件云appsecret |
| device_sn | W76FAE2409C | String | 是 | 序列号 |
| type | 1 | Number | 是 | 指令类型 |
| data | - | Object | 是 | 返回数据 |
| data.cmd_type | set_pwd | String | 是 | 命令字 |
| data.info | - | Object | 是 | 数据信息 |
| data.info.device_pwd | 12345687 | String | 是 | - |
| data.info.admin_pwd | admin | String | 是 | - |

**认证方式**

> 继承父级

**响应示例**

* 成功(200)

```javascript
{
	"code": 0,
	"data": {
		"device_sn": "W76FAE2409C",
		"msg_id": 56,
		"type": 1,
		"cmd": "set_pwd",
		"app_id": "",
		"cmd_type": "",
		"info": {
			"code": 0,
			"err_code": 0,
			"msg": ""
		}
	}
}
```

| 参数名 | 示例值 | 参数类型 | 参数描述 |
| --- | --- | ---- | ---- |
| code | 0 | Number | 响应成功 |
| data | - | Object | 返回数据 |
| data.device_sn | W76FAE2409C | String | 序列号 |
| data.msg_id | 56 | Number | 消息ID |
| data.type | 1 | Number | 指令类型 |
| data.cmd | set_pwd | String | 命令 |
| data.app_id | - | String | - |
| data.cmd_type | - | String | 命令类型 |
| data.info | - | Object | 数据信息 |
| data.info.code | 0 | Number | 响应代码 |
| data.info.err_code | 0 | Number | - |
| data.info.msg | - | String | 返回文字描述 |

* 失败(201)

```javascript
暂无数据
```

### 5.W76F_查询设备信息


```text
暂无描述
```

**接口状态**

> 已完成

**接口URL**

> `https://wdev.wmj.com.cn/deviceApi/send`

**请求方式**

> POST

**Content-Type**

> json

**请求Body参数**

```javascript
{
	"app_id": "{{wmjv2appid}}",
	"app_secret": "{{wmjv2appsecret}}",
	"device_sn": "W76FAE2409C",
	"type": 1,
	"data": {
		"cmd_type": "getdevinfo",
		"info": {
			"buzzer": 1
		}
	}
}
```

| 参数名 | 示例值 | 参数类型 | 是否必填 | 参数描述 |
| --- | --- | ---- | ---- | ---- |
| app_id | xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx | String | 是 | 硬件云appid |
| app_secret | xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx | String | 是 | 硬件云appsecret |
| device_sn | W76FAE2409C | String | 是 | 序列号 |
| type | 1 | Number | 是 | 指令类型 |
| data | - | Object | 是 | 返回数据 |
| data.cmd_type | getdevinfo | String | 是 | 命令字 |
| data.info | - | Object | 是 | 数据信息 |
| data.info.buzzer | 1 | Number | 是 | - |

**认证方式**

> 继承父级

**响应示例**

* 成功(200)

```javascript
{
	"code": 0,
	"data": {
		"device_sn": "W76FAE2409C",
		"msg_id": 5,
		"type": 1,
		"cmd": "getdevinfo",
		"app_id": "",
		"cmd_type": "",
		"info": {
			"admin_pwd": "admin",
			"code": 0,
			"device_pwd": "12345687",
			"err_code": 0,
			"free_heap": 118548,
			"hw_ver": "1.0.0",
			"iccid": "weimenjin",
			"imei": "00:00:00:00:00:00",
			"msg": "",
			"net_type": "ETH",
			"project": "W76F",
			"relay1": 1000,
			"relay2": 1000,
			"relay3": 1000,
			"relay4": 1000,
			"relay5": 1000,
			"rssi": 0,
			"sta_pwd": "9638527410",
			"sta_ssid": "weimenjin",
			"sw_ver": "63.5.2"
		}
	}
}
```

| 参数名                  | 示例值               | 参数类型 | 参数描述 |
|----------------------|-------------------| ---- | ---- |
| code                 | 0                 | Number | 响应成功 |
| data                 | -                 | Object | 返回数据 |
| data.device_sn       | W76FAE2409C       | String | 序列号 |
| data.msg_id          | 63                | Number | 消息ID |
| data.type            | 1                 | Number | 指令类型 |
| data.cmd             | getdevinfo        | String | 命令 |
| data.app_id          | -                 | String | - |
| data.cmd_type        | -                 | String | 命令类型 |
| data.info            | -                 | Object | 数据信息 |
| data.info.admin_pwd  | admin             | String | - |
| data.info.code       | 0                 | Number | 响应代码 |
| data.info.device_pwd | 12345687          | String | - |
| data.info.doorstate  | 1                 | Number | - |
| data.info.err_code   | 0                 | Number | - |
| data.info.es_status  | 0                 | Number | - |
| data.info.free_heap  | 72804             | Number | - |
| data.info.hw_ver     | 1.0.0             | String | - |
| data.info.iccid      | KGIoT             | String | - |
| data.info.imei       | 34:B7:DA:E2:40:9C | String | - |
| data.info.msg        | -                 | String | 返回文字描述 |
| data.info.net_type   | -                 | String | - |
| data.info.nonc       | 0                 | Number | - |
| data.info.project    | W76F              | String | - |
| data.info.relay1     | 1000              | Number | - |
| data.info.relay2     | 12000             | Number | - |
| data.info.relay3     | 1000              | Number | - |
| data.info.relay4     | 1000              | Number | - |
| data.info.relay5     | 1000              | Number | - |
| data.info.rssi       | -30               | Number | - |
| data.info.sta_pwd    | 9638527410        | String | - |
| data.info.sta_ssid   | KGIoT             | String | - |
| data.info.sw_ver     | 63.5.2            | String | - |

* 失败(201)

```javascript
暂无数据
```

### 6.W76F_重启设备


```text
暂无描述
```

**接口状态**

> 已完成

**接口URL**

> `https://wdev.wmj.com.cn/deviceApi/send`

**请求方式**

> POST

**Content-Type**

> json

**请求Body参数**

```javascript
{
	"app_id": "{{wmjv2appid}}",
	"app_secret": "{{wmjv2appsecret}}",
	"device_sn": "W76FAE2409C",
	"type": 1,
	"data": {
		"cmd_type": "restart"
	}
}
```

| 参数名 | 示例值 | 参数类型 | 是否必填 | 参数描述 |
| --- | --- | ---- | ---- | ---- |
| app_id | xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx | String | 是 | - |
| app_secret | xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx | String | 是 | - |
| device_sn | W76FAE2409C | String | 是 | - |
| type | 1 | Number | 是 | - |
| data | - | Object | 是 | 返回数据 |
| data.cmd_type | restart | String | 是 | - |

**认证方式**

> 继承父级

**响应示例**

* 成功(200)

```javascript
{
	"code": 0,
	"data": {
		"device_sn": "W76FAE2409C",
		"msg_id": 99,
		"type": 1,
		"cmd": "restart",
		"app_id": "",
		"cmd_type": "",
		"info": {
			"code": 0,
			"err_code": 0,
			"msg": ""
		}
	}
}
```

| 参数名 | 示例值 | 参数类型 | 参数描述 |
| --- | --- | ---- | ---- |
| code | 0 | Number | - |
| data | - | Object | 返回数据 |
| data.device_sn | W76FAE2409C | String | - |
| data.msg_id | 99 | Number | - |
| data.type | 1 | Number | - |
| data.cmd | restart | String | - |
| data.app_id | - | String | - |
| data.cmd_type | - | String | - |
| data.info | - | Object | - |
| data.info.code | 0 | Number | - |
| data.info.err_code | 0 | Number | - |
| data.info.msg | - | String | 返回文字描述 |

* 失败(404)

```javascript
暂无数据
```

### 7.W76F空中升级


```text
暂无描述
```

**接口状态**

> 已完成

**接口URL**

> `https://wdev.wmj.com.cn/deviceApi/send`

**请求方式**

> POST

**Content-Type**

> json

**请求Body参数**

```javascript
{
	"app_id": "{{wmjv2appid}}",
	"app_secret": "{{wmjv2appsecret}}",
    "device_sn": "W76FAE2409C",
    "data": {
        "cmd_type": "set_ota",
        "info": {
            "url": "http://fm.wmj.com.cn/ota/W76F/W76F.bin",
            "hw_ver": "1.0.0",
            "sw_ver": "63.5.3"
        }
    }
}
```

| 参数名 | 示例值                                          | 参数类型 | 是否必填 | 参数描述 |
| --- |----------------------------------------------| ---- | ---- | ---- |
| app_id | xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx       | String | 是 | 硬件云appid |
| app_secret | xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx       | String | 是 | 硬件云appsecret |
| device_sn | W76FAE2409C                                  | String | 是 | 设备序列号 |
| data | -                                            | Object | 是 | 返回数据 |
| data.cmd_type | set_ota                                      | String | 是 | 命令字 |
| data.info | -                                            | Object | 是 | 数据信息 |
| data.info.url | http://fm.wmj.com.cn/ota/W763/W763_CPlus.bin | String | 是 | - |
| data.info.hw_ver | 1.0.0                                        | String | 是 | - |
| data.info.sw_ver | 63.5.3                                       | String | 是 | - |

**认证方式**

> 继承父级

**响应示例**

* 成功(200)

```javascript
{
	"code": 0,
	"data": {
		"device_sn": "W76FAE2409C",
		"msg_id": 241,
		"type": 1,
		"cmd": "set_ota",
		"app_id": "",
		"cmd_type": "",
		"info": {
			"code": 0,
			"err_code": 0,
			"msg": ""
		}
	}
}
```

| 参数名 | 示例值         | 参数类型 | 参数描述 |
| --- |-------------| ---- | ---- |
| code | 0           | Number | 响应状态0为正常 |
| data | -           | Object | 返回数据 |
| data.device_sn | W76FAE2409C | String | 设备序列号 |
| data.msg_id | 76          | Number | 消息id |
| data.type | 1           | Number | 指令类型1为主动请求，2为设备自动上报到回调url |
| data.cmd | set_ota     | String | 开门反馈指令 |
| data.app_id | -           | String | - |
| data.cmd_type | -           | String | - |
| data.info | -           | Object | 返回数据信息 |
| data.info.code | 0           | Number | - |
| data.info.err_code | 0           | Number | - |
| data.info.msg | -           | String | 返回文字描述 |

* 失败(201)

```javascript
{
	"code": 1000,
	"msg": "没有操作此设备的权限"
}
```

| 参数名 | 示例值 | 参数类型 | 参数描述 |
| --- | --- | ---- | ---- |
| code | 1000 | Integer | 响应状态0为正常 |
| msg | 没有操作此设备的权限 | String | 消息描述 |

### 8.W76F设置WIFI


```text
暂无描述
```

**接口状态**

> 已完成

**接口URL**

> `https://wdev.wmj.com.cn/deviceApi/send`

**请求方式**

> POST

**Content-Type**

> json

**请求Body参数**

```javascript
{
	"app_id": "{{wmjv2appid}}",
	"app_secret": "{{wmjv2appsecret}}",
	"device_sn": "W76FAE2409C",
	"type":1,
	"data": {
		//谨慎使用，一但给写入一个不存在的wifi信号和密码，设备将连接不上离线
        "cmd_type": "set_wifi",
        "info":{
		    "ssid":"KGIoT",
		    "passwd":"9638527410"
        }
	}
}
```

| 参数名 | 示例值 | 参数类型 | 是否必填 | 参数描述 |
| --- | --- | ---- | ---- | ---- |
| app_id | xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx | String | 是 | 硬件云appid |
| app_secret | xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx | String | 是 | 硬件云appsecret |
| device_sn | W76FAE2409C | String | 是 | 设备序列号 |
| type | 1 | Number | 是 | 指令类型1为主动请求，2为设备自动上报到回调url |
| data | - | Object | 是 | 返回数据 |
| data.cmd_type | set_wifi | String | 是 | - |
| data.info | - | Object | 是 | - |
| data.info.ssid | KGIoT | String | 是 | - |
| data.info.passwd | 9638527410 | String | 是 | - |

**认证方式**

> 继承父级

**响应示例**

* 成功(200)

```javascript
{
	"code": 0,
	"data": {
		"device_sn": "W76FAE2409C",
		"msg_id": 173,
		"type": 1,
		"cmd": "set_wifi",
		"app_id": "",
		"cmd_type": "",
		"info": {
			"code": 0,
			"err_code": 0,
			"msg": "",
			"passwd": "9638527410",
			"ssid": "KGIoT"
		}
	}
}
```

| 参数名 | 示例值 | 参数类型 | 参数描述 |
| --- | --- | ---- | ---- |
| code | 0 | Number | 响应状态0为正常 |
| data | - | Object | 返回数据 |
| data.device_sn | W76FAE2409C | String | 设备序列号 |
| data.msg_id | 173 | Number | 消息id |
| data.type | 1 | Number | 指令类型1为主动请求，2为设备自动上报到回调url |
| data.cmd | set_wifi | String | 开门反馈指令 |
| data.app_id | - | String | - |
| data.cmd_type | - | String | - |
| data.info | - | Object | 返回数据信息 |
| data.info.code | 0 | Number | - |
| data.info.err_code | 0 | Number | - |
| data.info.msg | - | String | 返回文字描述 |
| data.info.passwd | 9638527410 | String | - |
| data.info.ssid | KGIoT | String | - |

* 失败(201)

```javascript
{
	"code": 1000,
	"msg": "没有操作此设备的权限"
}
```

| 参数名 | 示例值 | 参数类型 | 参数描述 |
| --- | --- | ---- | ---- |
| code | 1000 | Integer | 响应状态0为正常 |
| msg | 没有操作此设备的权限 | String | 消息描述 |

### 9.W76F删除解绑


```text
暂无描述
```

**接口状态**

> 已完成

**接口URL**

> `https://wdev.wmj.com.cn/deviceApi/logout`

**请求方式**

> POST

**Content-Type**

> json

**请求Body参数**

```javascript
{
	"app_id": "{{wmjv2appid}}",
	"app_secret": "{{wmjv2appsecret}}",
	"device_sn": "W76FAE2409C"
}
```

| 参数名 | 示例值                                    | 参数类型 | 是否必填 | 参数描述 |
| --- |----------------------------------------| ---- | ---- | ---- |
| app_id | xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx | String | 是 | 硬件云appid |
| app_secret | xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx | String | 是 | 硬件云appsecret |
| device_sn | W76FAE2409C                            | String | 是 | 设备序列号 |

**认证方式**

> 继承父级

**响应示例**

* 成功(200)

```javascript
{
	"code": 0,
	"msg": "解绑成功"
}
```

| 参数名 | 示例值 | 参数类型 | 参数描述 |
| --- | --- | ---- | ---- |
| code | 0 | Number | 响应状态0为正常 |
| msg | 解绑成功 | String | 返回文字描述 |

* 失败(404)

```javascript
暂无数据
```