## 1.注册空开

#### 接口URL
> `https://www.wmj.com.cn/switchapi/regswitch`

#### 请求方式
> POST

#### Content-Type
> form-data






#### 请求Body参数

| 参数        | 示例值   | 是否必填   |  参数描述  |
| :--------   | :-----  | :-----  | :----  |
| appid     | wmj_6bd1gt1234 |  必填 | - |
| appsecret     | VIGBwIvl2dwD0pST2dIM48MZOeVX3KlT |  必填 | - |
| sn     | W6846370879 |  必填 | - |

#### 成功响应示例
```javascript
{
	"state": 1,
	"lock_type": 68,
	"state_msg": "注册成功"
}
```


#### 错误响应示例
```javascript
{
	"state": 0,
	"state_code": 1004,
	"state_msg": "设备已存在，请勿重复添加"
}
```

## 2.控制空开

#### 接口URL
> `https://www.wmj.com.cn/switchapi/controlswitch`

#### 请求方式
> POST

#### Content-Type
> form-data






#### 请求Body参数

| 参数        | 示例值   | 是否必填   |  参数描述  |
| :--------   | :-----  | :-----  | :----  |
| appid     | wmj_6bd1gt1234 |  必填 | - |
| appsecret     | VIGBwIvl2dww0pST2dIMm8MZOeVX3KlT |  必填 | - |
| sn     | W6846370879 |  必填 | 序列号 |
| line     | 5 |  必填 | 控制哪一路1-8 |
| cmd     | 2 |  必填 | 开关命令，2开，3关 |
| audiotts     | 欢迎光临，已为您打开电源 |  必填 | 语音TTS，W28版本不支持 |
| volume     | 5 |  必填 | 音量大小0-7，默认为5 |

#### 成功响应示例
```javascript
{
	"state": 1,
	"status": "11111000",
	"state_msg": "操作成功"
}
status解释，8位0和1字符串，从左至右分别为1至8路输出，每一位代表输出状态，1为开，0 为关。
```


#### 错误响应示例
```javascript
{
	"state": 0,
	"state_msg": "操作失败"
}
```
## 3.查询空开状态

#### 接口URL
> `https://www.wmj.com.cn/switchapi/getswitchstatus`

#### 请求方式
> POST

#### Content-Type
> form-data






#### 请求Body参数

| 参数        | 示例值   | 是否必填   |  参数描述  |
| :--------   | :-----  | :-----  | :----  |
| appid     | wmj_6bd1geeMZBn |  必填 | - |
| appsecret     | VIGBwIvw2dwD0pST2dIMm8MZOeVX3KlT |  必填 | - |
| sn     | W6846370879 |  必填 | - |

#### 成功响应示例
```javascript
{
	"state": 1,
	"status": "00010000",
	"state_msg": "获取成功"
}
```
#### 错误响应示例
```javascript
{
	"state": 0,
	"state_msg": "获取失败，设备不在线"
}
status解释，8位0和1字符串，从左至右分别为1至8路输出，每一位代表输出状态，1为开，0 为关。
```

## 4.删除空开

#### 接口URL
> `https://www.wmj.com.cn/switchapi/delswitch`

#### 请求方式
> POST

#### Content-Type
> form-data






#### 请求Body参数

| 参数        | 示例值   | 是否必填   |  参数描述  |
| :--------   | :-----  | :-----  | :----  |
| appid     | wmj_6bd1gtY1234 |  必填 | - |
| appsecret     | VIGBwIvl2dwD0pST23IMm8MZOeVX1KlT |  必填 | - |
| sn     | W6846370879 |  必填 | - |

#### 成功响应示例
```javascript
{
	"state": 1,
	"state_code": 1,
	"state_msg": "删除成功"
}
```
#### 错误响应示例
```javascript
{
	"state": 0,
	"state_code": 7004,
	"state_msg": "序列号未注册，请先调用注册接口"
}
```