# 智能门禁控制器 W763

## 产品概述

智能门禁控制器 W763 是一款工业级控制模块，专为手机扫码开门设计，适用于小区、驿站、超市、无人值守场景及工业环境。支持主动扫码（打印张贴）、蓝牙开门、远程控制和应急开门方式，结合微门禁小程序，通过 2.4G WIFI、网线或蓝牙联网，实现高效、智能的远程门禁控制，满足多用户灵活授权管理需求。

## 应用场景

- **小区或办公楼**：通过扫码、蓝牙或远程控制实现多用户灵活授权，适用于小区门禁、办公楼门禁。
- **无人值守场景**：如无人驿站、超市、无人仓，设备通过 2.4G WIFI、网线或蓝牙入网，软件端实现远程门禁控制。
- **工业环境**：防水防尘设计，宽温工作范围，满足工业场景高可靠性门禁需求。

## 主要参数

- **型号规格**：W763
- **开门方式**：主动扫码（打印张贴）/ 蓝牙 (BLE) / 远程 / 应急
- **联网方式**：2.4G WIFI / 网线 / 蓝牙 (BLE)
- **屏幕参数**：无
- **提示语音**：蜂鸣器
- **加密方式**：AES、SSL (TLS)、国密
- **工作电流**：80mA (平均)，950mA (最大)
- **供电方式**：DC-12V，典型 12V2A，可共用门禁电源
- **控制信号**：开关信号，继电器隔离输出
- **刷卡类型**：不支持
- **网络协议**：MQTT、UDP、FTP、SSL、HTTPS、Bluetooth GATT
- **工作温度**：-30 \~ 65°C
- **工作湿度**：5 \~ 95% RH（无凝露）
- **储存环境**：-30 \~ 65°C
- **信号天线**：内置 PCB 天线或加装 5-12DB 加强天线（Wi-Fi 和蓝牙共用）
- **防水级别**：防水防尘壳
- **外壳尺寸**：138mm（长）× 68mm（宽）× 49mm（高）

## 功能特点

- **多模开门方式**：支持手机扫码（打印张贴）、蓝牙  (BLE) 开门、远程控制和应急开门，满足小区、驿站、家庭等多种场景需求。
- **蓝牙 (BLE) 功能**：联网和近场都可以控制开门，无网不在线时可应急使用蓝牙开门。
- **远程门禁管理**：通过 2.4G WIFI、网线或蓝牙入网，结合微门禁小程序实现远程门禁控制，适合无人值守场景。
- **工业级可靠性**：宽温工作（-30 \~ 65°C），防水防尘壳设计，适应恶劣工业环境。
- **开发友好**：支持 HTTP POST 控制和蓝牙 GATT 协议，提供免费开源的小程序前后端源码，方便开发者集成。
- **数据安全**：采用国密加密传输，结合 AES 和 SSL (TLS)，蓝牙通信使用 GATT 安全配对，确保门禁数据安全，防止未经授权访问。
- **信号稳定**：内置 PCB 天线或加装 5-12DB 加强天线，支持 Wi-Fi、网线和蓝牙多模连接，增强联网稳定性，适应复杂环境。

## 产品优势

- **多通道联网**：支持 2.4G WIFI、网线和蓝牙(BLE) 三模联网，适应不同场景的网络环境，蓝牙模式特别适合无网络区域。
- **无人值守管理**：通过微门禁小程序实现远程门禁管理，蓝牙功能支持离线开门，减少人工干预。
- **多用户授权**：支持扫码、蓝牙和远程开门，满足小区、办公楼等多用户灵活访问需求。
- **高可靠性**：工业级设计，防水防尘，宽温工作，适应多种复杂环境。
- **易于集成**：支持多种网络协议（MQTT、UDP、FTP、SSL、HTTPS、Bluetooth GATT）和 HTTP POST 控制，开发者可快速接入。
- **成本优化**：支持 DC-12V 供电，可共用门禁电源，降低部署成本。
- **用户友好**：蜂鸣器提示操作状态，蓝牙连接提供快速响应，提升用户体验。

## 注意事项

- **无屏幕设计**：W763 无显示屏，需依赖小程序或打印二维码贴出。
- **刷卡功能限制**：不支持传统刷卡开门，需确保用户接受扫码、蓝牙或远程开门方式。
- **蓝牙使用场景**：蓝牙  (BLE) 适合近场操作，建议在 10 米范围内使用以保证连接稳定性。
- **网络依赖**：Wi-Fi 和网线模式需确保网络覆盖，蓝牙模式可作为离线备用方案。