# 智能门禁控制器 W764

## 产品概述

智能门禁控制器 W764 是一款工业级 4G 控制模块，专为手机扫码开门设计，适用于小区、驿站、超市等场景。支持主动扫码（打印张贴）、蓝牙、远程和应急开门方式，结合微门禁小程序，通过 4G 网络（默认插有物联流量卡）实现高效、智能的远程门禁控制，满足多用户灵活授权管理需求。  
![W764 产品图#400px](/uploads/doc/images/m_c6fc193ecf6f5c08d68ebf448c07a624_r.png)

## 应用场景

- **小区或办公楼**：如小区门禁、办公楼门禁，通过扫码、蓝牙或远程控制实现多用户灵活授权管理。
- **无人值守场景**：如无人值守驿站、超市、无人仓，设备通过 4G 网络入网，软件端实现远程门禁控制，适合无 WIFI 覆盖区域。
- **工业环境**：支持防水防尘设计，满足工业场景高可靠性门禁需求。

## 主要参数

- **型号规格**：W764
- **开门方式**：主动扫码（打印张贴）/ 蓝牙 / 远程 / 应急
- **联网方式**：4G（默认插有物联流量卡）
- **屏幕参数**：无
- **提示语音**：TTS 语音，接口调用啥播放啥
- **加密方式**：AES、SSL (TLS)、国密
- **工作电流**：50mA (平均)，1450mA (最大)
- **供电方式**：DC-12V，典型 12V2A，可共用门禁电源
- **控制信号**：开关信号，继电器隔离输出
- **刷卡类型**：不支持
- **网络协议**：MQTT、UDP、FTP、SSL、HTTPS
- **工作温度**：-30 ~ 65°C
- **工作湿度**：5 ~ 95% RH（无凝露）
- **储存环境**：-30 ~ 65°C
- **信号天线**：内置 PCB 天线或加装 5-12DB 加强天线
- **防水级别**：防水防尘壳
- **外壳尺寸**：138mm（长）× 68mm（宽）× 49mm（高）

## 功能特点

- **灵活开门方式**：支持手机扫码（打印张贴）、蓝牙、远程控制和应急开门，满足小区、驿站等多场景门禁需求。
- **远程门禁管理**：通过 4G 网络（默认插有物联流量卡）入网，结合微门禁小程序实现远程门禁控制，适合无 WIFI 覆盖的无人值守场景。
- **工业级可靠性**：宽温工作（-30 ~ 65°C），防水防尘壳设计，适应恶劣工业环境。
- **开发友好**：支持 HTTP POST 控制，提供免费开源的小程序前后端源码，方便开发者集成。
- **数据安全**：采用国密加密传输，结合 AES 和 SSL (TLS)，确保门禁数据安全，防止未经授权访问。
- **信号稳定**：内置 PCB 天线或加装 5-12DB 加强天线，4G 网络覆盖广，适应复杂环境。
- **智能语音提示**：支持 TTS 语音，接口调用啥播放啥，提供更人性化的操作反馈。