# 智能门禁控制器 W765

## 产品概述

智能门禁控制器 W765 是一款工业级 4G 全网通控制模块，专为手机扫码开门设计，适用于小区、驿站、超市等场景。支持主动扫码、蓝牙、远程和刷卡开门方式，配备 1.8 寸液晶 TFT 屏幕（显示动态二维码），结合微门禁小程序，通过 4G 全网通网络（默认插有移动物联流量卡）实现高效、智能的远程门禁控制，满足多用户灵活授权管理需求。  
![enter image description here](/uploads/doc/images/m_c71c068df662c86fb23828f85b99470f_r.png)

## 应用场景

- **小区或办公楼**：如小区门禁、办公楼门禁，通过扫码、蓝牙、刷卡或远程控制实现多用户灵活授权管理。
- **无人值守场景**：如无人值守驿站、超市、无人仓，设备通过 4G 全网通网络入网，软件端实现远程门禁控制，适合无 WIFI 覆盖区域。
- **公共场所**：如超市、商场，通过 1.8 寸液晶 TFT 屏幕显示动态二维码，方便用户扫码开门。

## 主要参数

- **型号规格**：W765
- **开门方式**：主动扫码 / 蓝牙 / 远程 / 刷卡
- **联网方式**：4G 全网通（默认插有移动物联流量卡）
- **屏幕参数**：1.8 寸液晶 TFT（显示动态二维码）
- **提示语音**：TTS 语音，接口调用啥播放啥
- **加密方式**：AES、SSL (TLS)、国密
- **工作电流**：50mA (平均)，1450mA (最大)
- **供电方式**：DC-12V，典型 12V2A，可共用门禁电源
- **控制信号**：开关信号，继电器隔离输出
- **刷卡类型**：不支持
- **网络协议**：MQTT、UDP、FTP、SSL、HTTPS
- **工作温度**：-30 ~ 65°C
- **工作湿度**：5 ~ 95% RH（无凝露）
- **储存环境**：-30 ~ 65°C
- **信号天线**：内置 PCB 天线或加装 5-12DB 加强天线
- **防水级别**：因面板或边框底部有喇叭孔，需加防水罩
- **外壳尺寸**：135mm（长）× 76mm（宽）× 18mm（厚）

## 功能特点

- **灵活开门方式**：支持手机扫码、蓝牙、远程控制和刷卡开门，满足小区、驿站等多场景门禁需求。
- **动态二维码显示**：配备 1.8 寸液晶 TFT 屏幕，显示动态二维码，方便用户扫码开门。
- **远程门禁管理**：通过 4G 全网通网络（默认插有移动物联流量卡）入网，结合微门禁小程序实现远程门禁控制，适合无 WIFI 覆盖的无人值守场景。
- **工业级可靠性**：宽温工作（-30 ~ 65°C），需加防水罩以保护喇叭孔，适应多种复杂环境。
- **开发友好**：支持 HTTP POST 控制，提供免费开源的小程序前后端源码，方便开发者集成。
- **数据安全**：采用国密加密传输，结合 AES 和 SSL (TLS)，确保门禁数据安全，防止未经授权访问。
- **信号稳定**：内置 PCB 天线或加装 5-12DB 加强天线，4G 全网通网络覆盖广，适应复杂环境。
- **智能语音提示**：支持 TTS 语音，接口调用啥播放啥，提供更人性化的操作反馈。