# 智能门禁控制器 W66/W77

## 产品概述

智能门禁控制器 W66/W77 是一款高端多功能门禁设备，采用 Arm Linux 系统，专为人脸识别和多方式门禁管理设计，适用于小区、办公楼、公共场所等场景。支持人脸识别、主动扫码、刷卡、远程控制和 Web 后台管理，配备 8 寸显示屏（支持人脸预览和动态二维码），通过网线、WIFI 或 4G 全网通（加价选配）联网，结合云端 API 和 WebAPI 实现高效、智能的远程门禁控制，满足多用户灵活授权管理需求。  
![enter image description here](/uploads/doc/images/m_1fd25bcea0a4119664fb14124c91c6b7_r.png)

## 应用场景

- **小区或办公楼**：如小区门禁、办公楼门禁，通过人脸识别、扫码、刷卡或远程控制实现多用户灵活授权管理。
- **公共场所**：如商场、医院、车站，8 寸显示屏支持人脸预览和动态二维码，满足高流量场景的快速通行需求。
- **无人值守场景**：如无人值守驿站、无人仓，通过网线、WIFI 或 4G 全网通网络入网，结合 Web 后台和云端 API 实现远程门禁控制。

## 主要参数

- **型号规格**：W66/W77
- **开门方式**：人脸 / 主动扫码 / 刷卡 / 远程 / Web 后台
- **网络频段**：网线 / WIFI / 4G 全网通（加价选配）
- **人脸容量**：3 万（3 万张人脸实测识别速度 500ms）
- **门卡容量**：10 万
- **系统类型**：Arm Linux
- **屏幕参数**：8 寸显示屏（人脸预览、动态二维码）
- **提示语音**：无（屏幕显示提示）
- **加密方式**：AES、SSL (TLS)、国密
- **工作电流**：200mA (平均)，900mA (最大)
- **供电方式**：DC-12V，典型 12V2A，可共用门禁电源
- **控制信号**：开关信号，继电器隔离输出
- **支持卡片**：IC / CPU / NFC（Android、iOS 授权卡）
- **网络协议**：MQTT、UDP、FTP、SSL、HTTPS
- **工作温度**：-30 ~ 65°C
- **工作湿度**：5 ~ 95% RH（无凝露）
- **储存环境**：-30 ~ 65°C
- **信号天线**：内置 PCB 天线或加装 5-12DB 加强天线
- **防水级别**：竖装抗水，底部有喇叭孔
- **外壳尺寸**：256mm（长）× 134mm（宽）× 26mm（厚）
- **接口 API**：WebAPI、云端 API，云端接口控制
- **外壳材质**：铝合金 CNC 工艺
- **界面显示**：标题、电话、网址可定义
- **屏幕广告**：支持
- **安装方式**：默认壁挂，可选配立柱和桌面支架

## 功能特点

- **多样化开门方式**：支持人脸识别、手机扫码、刷卡、远程控制和 Web 后台管理，满足小区、办公楼等多场景门禁需求。
- **高效人脸识别**：支持 3 万人脸容量，实测识别速度 500ms，适合高流量场景快速通行。
- **大容量门卡管理**：支持 10 万门卡容量，满足大规模用户管理需求。
- **动态二维码显示**：配备 8 寸显示屏，支持人脸预览和动态二维码，方便用户扫码开门。
- **远程门禁管理**：通过网线、WIFI 或 4G 全网通（加价选配）入网，结合 WebAPI 和云端 API 实现远程门禁控制，适合无人值守场景。
- **工业级可靠性**：宽温工作（-30 ~ 65°C），竖装抗水设计，适应多种复杂环境。
- **开发友好**：支持 HTTP POST 控制，提供 WebAPI 和云端 API，方便开发者集成。
- **数据安全**：采用国密加密传输，结合 AES 和 SSL (TLS)，确保门禁数据安全，防止未经授权访问。
- **信号稳定**：内置 PCB 天线或加装 5-12DB 加强天线，支持多种网络频段，适应复杂环境。