# 智能门锁 W89

## 产品概述

智能门锁 W89 是一款高端 WIFI 联网智能门锁，专为家庭和办公场景设计，适用于防盗门、木门、钢门等多种门类。支持小程序、远程、刷卡、指纹（可选）和 API 开门方式，采用超低功耗 WIFI 实时联网技术，结合充电锂电池供电（标配 18650 容量 3000mAh），实现高效、智能的远程门锁管理，满足多用户灵活授权需求。  
![enter image description here](/uploads/doc/images/m_5813a253123de7bee56268aca51d1259_r.png)

## 应用场景

- **家庭住宅**：如防盗门、木门，支持小程序、远程、刷卡和指纹（可选）开门，满足家庭成员多样化开锁需求。
- **办公场所**：如小型办公室、共享办公空间，通过远程和 API 控制实现多用户授权管理。
- **租赁场景**：如公寓、短租房，通过远程加卡和小程序管理，方便房东灵活授权。

## 主要参数

- **型号规格**：W89
- **开门方式**：小程序 / 远程 / 刷卡 / 指纹（可选）/ API
- **联网方式**：WIFI 超低功耗实时联网
- **外观颜色**：银色
- **结构材质**：不锈钢
- **适合门类**：防盗门、木门、钢门
- **加密方式**：国密 SM、SSL (TLS)
- **工作电流**：待机 450uA (平均)
- **供电方式**：充电锂电池（标配 18650 容量 3000mAh）
- **门厚要求**：40mm ~ 100mm
- **支持卡片**：IC 卡 / 手机 NFC，远程加卡
- **工作温度**：-20 ~ 65°C
- **工作湿度**：5 ~ 95% RH（无凝露）
- **储存环境**：-20 ~ 65°C
- **信号天线**：板载 PCB 天线
- **外锁尺寸**：359mm（长）× 78mm（宽）

## 功能特点

- **多样化开门方式**：支持小程序、远程、刷卡、指纹（可选）和 API 开门，满足家庭、办公等多场景开锁需求。
- **超低功耗联网**：采用 WIFI 超低功耗实时联网技术，待机电流仅 450uA，结合 3000mAh 锂电池，续航更持久。
- **远程门锁管理**：通过 WIFI 联网，支持小程序和 API 远程控制，适合无人值守的租赁场景。
- **高安全性**：采用国密 SM 加密传输，结合 SSL (TLS)，确保门锁数据安全，防止未经授权访问。
- **信号稳定**：板载 PCB 天线，确保 WIFI 信号稳定，适应多种家庭和办公环境。
- **灵活适配**：支持 40mm ~ 100mm 门厚，适用于防盗门、木门、钢门等多种门类。

## 产品优势

- **远程管理**：通过 WIFI 联网和小程序/API 控制，实现远程门锁管理，方便房东或管理员授权。
- **多用户授权**：支持小程序、刷卡、手机 NFC 和指纹（可选）开门，满足家庭成员或办公用户灵活访问需求。
- **高耐用性**：不锈钢材质，宽温工作（-20 ~ 65°C），适应多种复杂环境。
- **易于集成**：支持 API 控制，开发者可快速接入智能家居或门锁管理系统。
- **续航持久**：超低功耗设计，待机电流仅 450uA，标配 3000mAh 锂电池，减少频繁充电的麻烦。
- **用户友好**：支持远程加卡，IC 卡和手机 NFC 开门，操作简单，提升用户体验。
- **美观设计**：银色不锈钢外壳，尺寸 359mm×78mm，简约大气，适配多种门类。